// Copyright 2017, Google Inc. All rights reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Generated code. DO NOT EDIT!

using Google.Android.OverTheAir.V1;
using Google.Api.Gax;
using Google.Api.Gax.Grpc;
using Google.Protobuf;
using Google.Protobuf.WellKnownTypes;
using Grpc.Core;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Threading;
using System.Threading.Tasks;

namespace Google.Android.OverTheAir.V1.Snippets
{
    public class GeneratedOverTheAirServiceClientSnippets
    {
        public async Task GetDeploymentAsync()
        {
            // Snippet: GetDeploymentAsync(string,View?,CallSettings)
            // Additional: GetDeploymentAsync(string,View?,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            // Make the request
            Deployment response = await overTheAirServiceClient.GetDeploymentAsync(formattedName, view);
            // End snippet
        }

        public void GetDeployment()
        {
            // Snippet: GetDeployment(string,View?,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            // Make the request
            Deployment response = overTheAirServiceClient.GetDeployment(formattedName, view);
            // End snippet
        }

        public async Task GetDeploymentAsync_RequestObject()
        {
            // Snippet: GetDeploymentAsync(GetDeploymentRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            GetDeploymentRequest request = new GetDeploymentRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            // Make the request
            Deployment response = await overTheAirServiceClient.GetDeploymentAsync(request);
            // End snippet
        }

        public void GetDeployment_RequestObject()
        {
            // Snippet: GetDeployment(GetDeploymentRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            GetDeploymentRequest request = new GetDeploymentRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            // Make the request
            Deployment response = overTheAirServiceClient.GetDeployment(request);
            // End snippet
        }

        public async Task ListDeploymentsAsync()
        {
            // Snippet: ListDeploymentsAsync(View?,CallSettings)
            // Additional: ListDeploymentsAsync(View?,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            View view = View.Basic;
            // Make the request
            ListDeploymentsResponse response = await overTheAirServiceClient.ListDeploymentsAsync(view);
            // End snippet
        }

        public void ListDeployments()
        {
            // Snippet: ListDeployments(View?,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            View view = View.Basic;
            // Make the request
            ListDeploymentsResponse response = overTheAirServiceClient.ListDeployments(view);
            // End snippet
        }

        public async Task ListDeploymentsAsync_RequestObject()
        {
            // Snippet: ListDeploymentsAsync(ListDeploymentsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            ListDeploymentsRequest request = new ListDeploymentsRequest();
            // Make the request
            ListDeploymentsResponse response = await overTheAirServiceClient.ListDeploymentsAsync(request);
            // End snippet
        }

        public void ListDeployments_RequestObject()
        {
            // Snippet: ListDeployments(ListDeploymentsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            ListDeploymentsRequest request = new ListDeploymentsRequest();
            // Make the request
            ListDeploymentsResponse response = overTheAirServiceClient.ListDeployments(request);
            // End snippet
        }

        public async Task UpdateDeploymentAsync()
        {
            // Snippet: UpdateDeploymentAsync(string,Deployment,VersionTag,CallSettings)
            // Additional: UpdateDeploymentAsync(string,Deployment,VersionTag,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            Deployment deployment = new Deployment();
            VersionTag versionTag = new VersionTag();
            // Make the request
            Deployment response = await overTheAirServiceClient.UpdateDeploymentAsync(formattedName, deployment, versionTag);
            // End snippet
        }

        public void UpdateDeployment()
        {
            // Snippet: UpdateDeployment(string,Deployment,VersionTag,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            Deployment deployment = new Deployment();
            VersionTag versionTag = new VersionTag();
            // Make the request
            Deployment response = overTheAirServiceClient.UpdateDeployment(formattedName, deployment, versionTag);
            // End snippet
        }

        public async Task UpdateDeploymentAsync_RequestObject()
        {
            // Snippet: UpdateDeploymentAsync(UpdateDeploymentRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            UpdateDeploymentRequest request = new UpdateDeploymentRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Deployment = new Deployment(),
                VersionTag = new VersionTag(),
            };
            // Make the request
            Deployment response = await overTheAirServiceClient.UpdateDeploymentAsync(request);
            // End snippet
        }

        public void UpdateDeployment_RequestObject()
        {
            // Snippet: UpdateDeployment(UpdateDeploymentRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            UpdateDeploymentRequest request = new UpdateDeploymentRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Deployment = new Deployment(),
                VersionTag = new VersionTag(),
            };
            // Make the request
            Deployment response = overTheAirServiceClient.UpdateDeployment(request);
            // End snippet
        }

        public async Task GetPackageAsync()
        {
            // Snippet: GetPackageAsync(string,View?,CallSettings)
            // Additional: GetPackageAsync(string,View?,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            View view = View.Basic;
            // Make the request
            Package response = await overTheAirServiceClient.GetPackageAsync(formattedName, view);
            // End snippet
        }

        public void GetPackage()
        {
            // Snippet: GetPackage(string,View?,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            View view = View.Basic;
            // Make the request
            Package response = overTheAirServiceClient.GetPackage(formattedName, view);
            // End snippet
        }

        public async Task GetPackageAsync_RequestObject()
        {
            // Snippet: GetPackageAsync(GetPackageRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            GetPackageRequest request = new GetPackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            // Make the request
            Package response = await overTheAirServiceClient.GetPackageAsync(request);
            // End snippet
        }

        public void GetPackage_RequestObject()
        {
            // Snippet: GetPackage(GetPackageRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            GetPackageRequest request = new GetPackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            // Make the request
            Package response = overTheAirServiceClient.GetPackage(request);
            // End snippet
        }

        public async Task ListPackagesAsync()
        {
            // Snippet: ListPackagesAsync(string,View?,CallSettings)
            // Additional: ListPackagesAsync(string,View?,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            // Make the request
            ListPackagesResponse response = await overTheAirServiceClient.ListPackagesAsync(formattedName, view);
            // End snippet
        }

        public void ListPackages()
        {
            // Snippet: ListPackages(string,View?,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            // Make the request
            ListPackagesResponse response = overTheAirServiceClient.ListPackages(formattedName, view);
            // End snippet
        }

        public async Task ListPackagesAsync_RequestObject()
        {
            // Snippet: ListPackagesAsync(ListPackagesRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            ListPackagesRequest request = new ListPackagesRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            // Make the request
            ListPackagesResponse response = await overTheAirServiceClient.ListPackagesAsync(request);
            // End snippet
        }

        public void ListPackages_RequestObject()
        {
            // Snippet: ListPackages(ListPackagesRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            ListPackagesRequest request = new ListPackagesRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            // Make the request
            ListPackagesResponse response = overTheAirServiceClient.ListPackages(request);
            // End snippet
        }

        public async Task DeletePackageAsync()
        {
            // Snippet: DeletePackageAsync(string,CallSettings)
            // Additional: DeletePackageAsync(string,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            // Make the request
            DeletePackageResponse response = await overTheAirServiceClient.DeletePackageAsync(formattedName);
            // End snippet
        }

        public void DeletePackage()
        {
            // Snippet: DeletePackage(string,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            // Make the request
            DeletePackageResponse response = overTheAirServiceClient.DeletePackage(formattedName);
            // End snippet
        }

        public async Task DeletePackageAsync_RequestObject()
        {
            // Snippet: DeletePackageAsync(DeletePackageRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            DeletePackageRequest request = new DeletePackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            // Make the request
            DeletePackageResponse response = await overTheAirServiceClient.DeletePackageAsync(request);
            // End snippet
        }

        public void DeletePackage_RequestObject()
        {
            // Snippet: DeletePackage(DeletePackageRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            DeletePackageRequest request = new DeletePackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            // Make the request
            DeletePackageResponse response = overTheAirServiceClient.DeletePackage(request);
            // End snippet
        }

        public async Task UpdatePackageAsync()
        {
            // Snippet: UpdatePackageAsync(string,Package,VersionTag,CallSettings)
            // Additional: UpdatePackageAsync(string,Package,VersionTag,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            Package packageObj = new Package();
            VersionTag versionTag = new VersionTag();
            // Make the request
            Package response = await overTheAirServiceClient.UpdatePackageAsync(formattedName, packageObj, versionTag);
            // End snippet
        }

        public void UpdatePackage()
        {
            // Snippet: UpdatePackage(string,Package,VersionTag,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            Package packageObj = new Package();
            VersionTag versionTag = new VersionTag();
            // Make the request
            Package response = overTheAirServiceClient.UpdatePackage(formattedName, packageObj, versionTag);
            // End snippet
        }

        public async Task UpdatePackageAsync_RequestObject()
        {
            // Snippet: UpdatePackageAsync(UpdatePackageRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            UpdatePackageRequest request = new UpdatePackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
                PackageObj = new Package(),
                VersionTag = new VersionTag(),
            };
            // Make the request
            Package response = await overTheAirServiceClient.UpdatePackageAsync(request);
            // End snippet
        }

        public void UpdatePackage_RequestObject()
        {
            // Snippet: UpdatePackage(UpdatePackageRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            UpdatePackageRequest request = new UpdatePackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
                PackageObj = new Package(),
                VersionTag = new VersionTag(),
            };
            // Make the request
            Package response = overTheAirServiceClient.UpdatePackage(request);
            // End snippet
        }

        public async Task CreateConfigAsync()
        {
            // Snippet: CreateConfigAsync(string,Config,CallSettings)
            // Additional: CreateConfigAsync(string,Config,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            Config config = new Config();
            // Make the request
            Config response = await overTheAirServiceClient.CreateConfigAsync(formattedName, config);
            // End snippet
        }

        public void CreateConfig()
        {
            // Snippet: CreateConfig(string,Config,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            Config config = new Config();
            // Make the request
            Config response = overTheAirServiceClient.CreateConfig(formattedName, config);
            // End snippet
        }

        public async Task CreateConfigAsync_RequestObject()
        {
            // Snippet: CreateConfigAsync(CreateConfigRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            CreateConfigRequest request = new CreateConfigRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Config = new Config(),
            };
            // Make the request
            Config response = await overTheAirServiceClient.CreateConfigAsync(request);
            // End snippet
        }

        public void CreateConfig_RequestObject()
        {
            // Snippet: CreateConfig(CreateConfigRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            CreateConfigRequest request = new CreateConfigRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Config = new Config(),
            };
            // Make the request
            Config response = overTheAirServiceClient.CreateConfig(request);
            // End snippet
        }

        public async Task GetConfigAsync()
        {
            // Snippet: GetConfigAsync(string,View?,CallSettings)
            // Additional: GetConfigAsync(string,View?,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            View view = View.Basic;
            // Make the request
            Config response = await overTheAirServiceClient.GetConfigAsync(formattedName, view);
            // End snippet
        }

        public void GetConfig()
        {
            // Snippet: GetConfig(string,View?,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            View view = View.Basic;
            // Make the request
            Config response = overTheAirServiceClient.GetConfig(formattedName, view);
            // End snippet
        }

        public async Task GetConfigAsync_RequestObject()
        {
            // Snippet: GetConfigAsync(GetConfigRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            GetConfigRequest request = new GetConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            // Make the request
            Config response = await overTheAirServiceClient.GetConfigAsync(request);
            // End snippet
        }

        public void GetConfig_RequestObject()
        {
            // Snippet: GetConfig(GetConfigRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            GetConfigRequest request = new GetConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            // Make the request
            Config response = overTheAirServiceClient.GetConfig(request);
            // End snippet
        }

        public async Task ListConfigsAsync()
        {
            // Snippet: ListConfigsAsync(string,View?,CallSettings)
            // Additional: ListConfigsAsync(string,View?,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            // Make the request
            ListConfigsResponse response = await overTheAirServiceClient.ListConfigsAsync(formattedName, view);
            // End snippet
        }

        public void ListConfigs()
        {
            // Snippet: ListConfigs(string,View?,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            // Make the request
            ListConfigsResponse response = overTheAirServiceClient.ListConfigs(formattedName, view);
            // End snippet
        }

        public async Task ListConfigsAsync_RequestObject()
        {
            // Snippet: ListConfigsAsync(ListConfigsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            ListConfigsRequest request = new ListConfigsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            // Make the request
            ListConfigsResponse response = await overTheAirServiceClient.ListConfigsAsync(request);
            // End snippet
        }

        public void ListConfigs_RequestObject()
        {
            // Snippet: ListConfigs(ListConfigsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            ListConfigsRequest request = new ListConfigsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            // Make the request
            ListConfigsResponse response = overTheAirServiceClient.ListConfigs(request);
            // End snippet
        }

        public async Task DeleteConfigAsync()
        {
            // Snippet: DeleteConfigAsync(string,CallSettings)
            // Additional: DeleteConfigAsync(string,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            // Make the request
            DeleteConfigResponse response = await overTheAirServiceClient.DeleteConfigAsync(formattedName);
            // End snippet
        }

        public void DeleteConfig()
        {
            // Snippet: DeleteConfig(string,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            // Make the request
            DeleteConfigResponse response = overTheAirServiceClient.DeleteConfig(formattedName);
            // End snippet
        }

        public async Task DeleteConfigAsync_RequestObject()
        {
            // Snippet: DeleteConfigAsync(DeleteConfigRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            DeleteConfigRequest request = new DeleteConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            // Make the request
            DeleteConfigResponse response = await overTheAirServiceClient.DeleteConfigAsync(request);
            // End snippet
        }

        public void DeleteConfig_RequestObject()
        {
            // Snippet: DeleteConfig(DeleteConfigRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            DeleteConfigRequest request = new DeleteConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            // Make the request
            DeleteConfigResponse response = overTheAirServiceClient.DeleteConfig(request);
            // End snippet
        }

        public async Task UpdateConfigAsync()
        {
            // Snippet: UpdateConfigAsync(string,Config,VersionTag,CallSettings)
            // Additional: UpdateConfigAsync(string,Config,VersionTag,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            Config config = new Config();
            VersionTag versionTag = new VersionTag();
            // Make the request
            Config response = await overTheAirServiceClient.UpdateConfigAsync(formattedName, config, versionTag);
            // End snippet
        }

        public void UpdateConfig()
        {
            // Snippet: UpdateConfig(string,Config,VersionTag,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            Config config = new Config();
            VersionTag versionTag = new VersionTag();
            // Make the request
            Config response = overTheAirServiceClient.UpdateConfig(formattedName, config, versionTag);
            // End snippet
        }

        public async Task UpdateConfigAsync_RequestObject()
        {
            // Snippet: UpdateConfigAsync(UpdateConfigRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            UpdateConfigRequest request = new UpdateConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                Config = new Config(),
                VersionTag = new VersionTag(),
            };
            // Make the request
            Config response = await overTheAirServiceClient.UpdateConfigAsync(request);
            // End snippet
        }

        public void UpdateConfig_RequestObject()
        {
            // Snippet: UpdateConfig(UpdateConfigRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            UpdateConfigRequest request = new UpdateConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                Config = new Config(),
                VersionTag = new VersionTag(),
            };
            // Make the request
            Config response = overTheAirServiceClient.UpdateConfig(request);
            // End snippet
        }

        public async Task CreateGroupAsync()
        {
            // Snippet: CreateGroupAsync(string,Group,CallSettings)
            // Additional: CreateGroupAsync(string,Group,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            Group group = new Group();
            // Make the request
            Group response = await overTheAirServiceClient.CreateGroupAsync(formattedName, group);
            // End snippet
        }

        public void CreateGroup()
        {
            // Snippet: CreateGroup(string,Group,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            Group group = new Group();
            // Make the request
            Group response = overTheAirServiceClient.CreateGroup(formattedName, group);
            // End snippet
        }

        public async Task CreateGroupAsync_RequestObject()
        {
            // Snippet: CreateGroupAsync(CreateGroupRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            CreateGroupRequest request = new CreateGroupRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Group = new Group(),
            };
            // Make the request
            Group response = await overTheAirServiceClient.CreateGroupAsync(request);
            // End snippet
        }

        public void CreateGroup_RequestObject()
        {
            // Snippet: CreateGroup(CreateGroupRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            CreateGroupRequest request = new CreateGroupRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                Group = new Group(),
            };
            // Make the request
            Group response = overTheAirServiceClient.CreateGroup(request);
            // End snippet
        }

        public async Task GetGroupAsync()
        {
            // Snippet: GetGroupAsync(string,View?,CallSettings)
            // Additional: GetGroupAsync(string,View?,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            View view = View.Basic;
            // Make the request
            Group response = await overTheAirServiceClient.GetGroupAsync(formattedName, view);
            // End snippet
        }

        public void GetGroup()
        {
            // Snippet: GetGroup(string,View?,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            View view = View.Basic;
            // Make the request
            Group response = overTheAirServiceClient.GetGroup(formattedName, view);
            // End snippet
        }

        public async Task GetGroupAsync_RequestObject()
        {
            // Snippet: GetGroupAsync(GetGroupRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            GetGroupRequest request = new GetGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            // Make the request
            Group response = await overTheAirServiceClient.GetGroupAsync(request);
            // End snippet
        }

        public void GetGroup_RequestObject()
        {
            // Snippet: GetGroup(GetGroupRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            GetGroupRequest request = new GetGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            // Make the request
            Group response = overTheAirServiceClient.GetGroup(request);
            // End snippet
        }

        public async Task ListGroupsAsync()
        {
            // Snippet: ListGroupsAsync(string,View?,CallSettings)
            // Additional: ListGroupsAsync(string,View?,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            // Make the request
            ListGroupsResponse response = await overTheAirServiceClient.ListGroupsAsync(formattedName, view);
            // End snippet
        }

        public void ListGroups()
        {
            // Snippet: ListGroups(string,View?,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            View view = View.Basic;
            // Make the request
            ListGroupsResponse response = overTheAirServiceClient.ListGroups(formattedName, view);
            // End snippet
        }

        public async Task ListGroupsAsync_RequestObject()
        {
            // Snippet: ListGroupsAsync(ListGroupsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            ListGroupsRequest request = new ListGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            // Make the request
            ListGroupsResponse response = await overTheAirServiceClient.ListGroupsAsync(request);
            // End snippet
        }

        public void ListGroups_RequestObject()
        {
            // Snippet: ListGroups(ListGroupsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            ListGroupsRequest request = new ListGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
            };
            // Make the request
            ListGroupsResponse response = overTheAirServiceClient.ListGroups(request);
            // End snippet
        }

        public async Task DeleteGroupAsync()
        {
            // Snippet: DeleteGroupAsync(string,CallSettings)
            // Additional: DeleteGroupAsync(string,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            // Make the request
            DeleteGroupResponse response = await overTheAirServiceClient.DeleteGroupAsync(formattedName);
            // End snippet
        }

        public void DeleteGroup()
        {
            // Snippet: DeleteGroup(string,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            // Make the request
            DeleteGroupResponse response = overTheAirServiceClient.DeleteGroup(formattedName);
            // End snippet
        }

        public async Task DeleteGroupAsync_RequestObject()
        {
            // Snippet: DeleteGroupAsync(DeleteGroupRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            DeleteGroupRequest request = new DeleteGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            // Make the request
            DeleteGroupResponse response = await overTheAirServiceClient.DeleteGroupAsync(request);
            // End snippet
        }

        public void DeleteGroup_RequestObject()
        {
            // Snippet: DeleteGroup(DeleteGroupRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            DeleteGroupRequest request = new DeleteGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            // Make the request
            DeleteGroupResponse response = overTheAirServiceClient.DeleteGroup(request);
            // End snippet
        }

        public async Task UpdateGroupAsync()
        {
            // Snippet: UpdateGroupAsync(string,Group,VersionTag,CallSettings)
            // Additional: UpdateGroupAsync(string,Group,VersionTag,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            Group group = new Group();
            VersionTag versionTag = new VersionTag();
            // Make the request
            Group response = await overTheAirServiceClient.UpdateGroupAsync(formattedName, group, versionTag);
            // End snippet
        }

        public void UpdateGroup()
        {
            // Snippet: UpdateGroup(string,Group,VersionTag,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            Group group = new Group();
            VersionTag versionTag = new VersionTag();
            // Make the request
            Group response = overTheAirServiceClient.UpdateGroup(formattedName, group, versionTag);
            // End snippet
        }

        public async Task UpdateGroupAsync_RequestObject()
        {
            // Snippet: UpdateGroupAsync(UpdateGroupRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            UpdateGroupRequest request = new UpdateGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                Group = new Group(),
                VersionTag = new VersionTag(),
            };
            // Make the request
            Group response = await overTheAirServiceClient.UpdateGroupAsync(request);
            // End snippet
        }

        public void UpdateGroup_RequestObject()
        {
            // Snippet: UpdateGroup(UpdateGroupRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            UpdateGroupRequest request = new UpdateGroupRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                Group = new Group(),
                VersionTag = new VersionTag(),
            };
            // Make the request
            Group response = overTheAirServiceClient.UpdateGroup(request);
            // End snippet
        }

        public async Task DisableGroupsAsync()
        {
            // Snippet: DisableGroupsAsync(string,IEnumerable<string>,CallSettings)
            // Additional: DisableGroupsAsync(string,IEnumerable<string>,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            IEnumerable<string> groupNames = new List<string>();
            // Make the request
            DisableGroupsResponse response = await overTheAirServiceClient.DisableGroupsAsync(formattedName, groupNames);
            // End snippet
        }

        public void DisableGroups()
        {
            // Snippet: DisableGroups(string,IEnumerable<string>,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            IEnumerable<string> groupNames = new List<string>();
            // Make the request
            DisableGroupsResponse response = overTheAirServiceClient.DisableGroups(formattedName, groupNames);
            // End snippet
        }

        public async Task DisableGroupsAsync_RequestObject()
        {
            // Snippet: DisableGroupsAsync(DisableGroupsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            DisableGroupsRequest request = new DisableGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                GroupNames = { },
            };
            // Make the request
            DisableGroupsResponse response = await overTheAirServiceClient.DisableGroupsAsync(request);
            // End snippet
        }

        public void DisableGroups_RequestObject()
        {
            // Snippet: DisableGroups(DisableGroupsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            DisableGroupsRequest request = new DisableGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                GroupNames = { },
            };
            // Make the request
            DisableGroupsResponse response = overTheAirServiceClient.DisableGroups(request);
            // End snippet
        }

        public async Task EnableGroupsAsync()
        {
            // Snippet: EnableGroupsAsync(string,IEnumerable<string>,CallSettings)
            // Additional: EnableGroupsAsync(string,IEnumerable<string>,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            IEnumerable<string> groupNames = new List<string>();
            // Make the request
            EnableGroupsResponse response = await overTheAirServiceClient.EnableGroupsAsync(formattedName, groupNames);
            // End snippet
        }

        public void EnableGroups()
        {
            // Snippet: EnableGroups(string,IEnumerable<string>,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new DeploymentName("[DEPLOYMENT]").ToString();
            IEnumerable<string> groupNames = new List<string>();
            // Make the request
            EnableGroupsResponse response = overTheAirServiceClient.EnableGroups(formattedName, groupNames);
            // End snippet
        }

        public async Task EnableGroupsAsync_RequestObject()
        {
            // Snippet: EnableGroupsAsync(EnableGroupsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            EnableGroupsRequest request = new EnableGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                GroupNames = { },
            };
            // Make the request
            EnableGroupsResponse response = await overTheAirServiceClient.EnableGroupsAsync(request);
            // End snippet
        }

        public void EnableGroups_RequestObject()
        {
            // Snippet: EnableGroups(EnableGroupsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            EnableGroupsRequest request = new EnableGroupsRequest
            {
                Name = new DeploymentName("[DEPLOYMENT]").ToString(),
                GroupNames = { },
            };
            // Make the request
            EnableGroupsResponse response = overTheAirServiceClient.EnableGroups(request);
            // End snippet
        }

        public async Task CreateGroupMemberAsync()
        {
            // Snippet: CreateGroupMemberAsync(string,GroupMember,CallSettings)
            // Additional: CreateGroupMemberAsync(string,GroupMember,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            GroupMember groupMember = new GroupMember();
            // Make the request
            GroupMember response = await overTheAirServiceClient.CreateGroupMemberAsync(formattedName, groupMember);
            // End snippet
        }

        public void CreateGroupMember()
        {
            // Snippet: CreateGroupMember(string,GroupMember,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            GroupMember groupMember = new GroupMember();
            // Make the request
            GroupMember response = overTheAirServiceClient.CreateGroupMember(formattedName, groupMember);
            // End snippet
        }

        public async Task CreateGroupMemberAsync_RequestObject()
        {
            // Snippet: CreateGroupMemberAsync(CreateGroupMemberRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            CreateGroupMemberRequest request = new CreateGroupMemberRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMember = new GroupMember(),
            };
            // Make the request
            GroupMember response = await overTheAirServiceClient.CreateGroupMemberAsync(request);
            // End snippet
        }

        public void CreateGroupMember_RequestObject()
        {
            // Snippet: CreateGroupMember(CreateGroupMemberRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            CreateGroupMemberRequest request = new CreateGroupMemberRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMember = new GroupMember(),
            };
            // Make the request
            GroupMember response = overTheAirServiceClient.CreateGroupMember(request);
            // End snippet
        }

        public async Task CreateGroupMembersAsync()
        {
            // Snippet: CreateGroupMembersAsync(string,IEnumerable<GroupMember>,CallSettings)
            // Additional: CreateGroupMembersAsync(string,IEnumerable<GroupMember>,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            IEnumerable<GroupMember> groupMembers = new List<GroupMember>();
            // Make the request
            CreateGroupMembersResponse response = await overTheAirServiceClient.CreateGroupMembersAsync(formattedName, groupMembers);
            // End snippet
        }

        public void CreateGroupMembers()
        {
            // Snippet: CreateGroupMembers(string,IEnumerable<GroupMember>,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            IEnumerable<GroupMember> groupMembers = new List<GroupMember>();
            // Make the request
            CreateGroupMembersResponse response = overTheAirServiceClient.CreateGroupMembers(formattedName, groupMembers);
            // End snippet
        }

        public async Task CreateGroupMembersAsync_RequestObject()
        {
            // Snippet: CreateGroupMembersAsync(CreateGroupMembersRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            CreateGroupMembersRequest request = new CreateGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMembers = { },
            };
            // Make the request
            CreateGroupMembersResponse response = await overTheAirServiceClient.CreateGroupMembersAsync(request);
            // End snippet
        }

        public void CreateGroupMembers_RequestObject()
        {
            // Snippet: CreateGroupMembers(CreateGroupMembersRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            CreateGroupMembersRequest request = new CreateGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMembers = { },
            };
            // Make the request
            CreateGroupMembersResponse response = overTheAirServiceClient.CreateGroupMembers(request);
            // End snippet
        }

        public async Task GetGroupMemberAsync()
        {
            // Snippet: GetGroupMemberAsync(string,View?,CallSettings)
            // Additional: GetGroupMemberAsync(string,View?,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString();
            View view = View.Basic;
            // Make the request
            GroupMember response = await overTheAirServiceClient.GetGroupMemberAsync(formattedName, view);
            // End snippet
        }

        public void GetGroupMember()
        {
            // Snippet: GetGroupMember(string,View?,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString();
            View view = View.Basic;
            // Make the request
            GroupMember response = overTheAirServiceClient.GetGroupMember(formattedName, view);
            // End snippet
        }

        public async Task GetGroupMemberAsync_RequestObject()
        {
            // Snippet: GetGroupMemberAsync(GetGroupMemberRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            GetGroupMemberRequest request = new GetGroupMemberRequest
            {
                Name = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString(),
            };
            // Make the request
            GroupMember response = await overTheAirServiceClient.GetGroupMemberAsync(request);
            // End snippet
        }

        public void GetGroupMember_RequestObject()
        {
            // Snippet: GetGroupMember(GetGroupMemberRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            GetGroupMemberRequest request = new GetGroupMemberRequest
            {
                Name = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString(),
            };
            // Make the request
            GroupMember response = overTheAirServiceClient.GetGroupMember(request);
            // End snippet
        }

        public async Task ListGroupMembersAsync()
        {
            // Snippet: ListGroupMembersAsync(string,CallSettings)
            // Additional: ListGroupMembersAsync(string,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            // Make the request
            ListGroupMembersResponse response = await overTheAirServiceClient.ListGroupMembersAsync(formattedName);
            // End snippet
        }

        public void ListGroupMembers()
        {
            // Snippet: ListGroupMembers(string,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            // Make the request
            ListGroupMembersResponse response = overTheAirServiceClient.ListGroupMembers(formattedName);
            // End snippet
        }

        public async Task ListGroupMembersAsync_RequestObject()
        {
            // Snippet: ListGroupMembersAsync(ListGroupMembersRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            ListGroupMembersRequest request = new ListGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            // Make the request
            ListGroupMembersResponse response = await overTheAirServiceClient.ListGroupMembersAsync(request);
            // End snippet
        }

        public void ListGroupMembers_RequestObject()
        {
            // Snippet: ListGroupMembers(ListGroupMembersRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            ListGroupMembersRequest request = new ListGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            // Make the request
            ListGroupMembersResponse response = overTheAirServiceClient.ListGroupMembers(request);
            // End snippet
        }

        public async Task DeleteGroupMemberAsync()
        {
            // Snippet: DeleteGroupMemberAsync(string,CallSettings)
            // Additional: DeleteGroupMemberAsync(string,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString();
            // Make the request
            DeleteGroupMemberResponse response = await overTheAirServiceClient.DeleteGroupMemberAsync(formattedName);
            // End snippet
        }

        public void DeleteGroupMember()
        {
            // Snippet: DeleteGroupMember(string,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString();
            // Make the request
            DeleteGroupMemberResponse response = overTheAirServiceClient.DeleteGroupMember(formattedName);
            // End snippet
        }

        public async Task DeleteGroupMemberAsync_RequestObject()
        {
            // Snippet: DeleteGroupMemberAsync(DeleteGroupMemberRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            DeleteGroupMemberRequest request = new DeleteGroupMemberRequest
            {
                Name = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString(),
            };
            // Make the request
            DeleteGroupMemberResponse response = await overTheAirServiceClient.DeleteGroupMemberAsync(request);
            // End snippet
        }

        public void DeleteGroupMember_RequestObject()
        {
            // Snippet: DeleteGroupMember(DeleteGroupMemberRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            DeleteGroupMemberRequest request = new DeleteGroupMemberRequest
            {
                Name = new MemberName("[DEPLOYMENT]", "[GROUP]", "[MEMBER]").ToString(),
            };
            // Make the request
            DeleteGroupMemberResponse response = overTheAirServiceClient.DeleteGroupMember(request);
            // End snippet
        }

        public async Task DeleteGroupMembersAsync()
        {
            // Snippet: DeleteGroupMembersAsync(string,IEnumerable<GroupMember>,CallSettings)
            // Additional: DeleteGroupMembersAsync(string,IEnumerable<GroupMember>,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            IEnumerable<GroupMember> groupMembers = new List<GroupMember>();
            // Make the request
            DeleteGroupMembersResponse response = await overTheAirServiceClient.DeleteGroupMembersAsync(formattedName, groupMembers);
            // End snippet
        }

        public void DeleteGroupMembers()
        {
            // Snippet: DeleteGroupMembers(string,IEnumerable<GroupMember>,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            IEnumerable<GroupMember> groupMembers = new List<GroupMember>();
            // Make the request
            DeleteGroupMembersResponse response = overTheAirServiceClient.DeleteGroupMembers(formattedName, groupMembers);
            // End snippet
        }

        public async Task DeleteGroupMembersAsync_RequestObject()
        {
            // Snippet: DeleteGroupMembersAsync(DeleteGroupMembersRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            DeleteGroupMembersRequest request = new DeleteGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMembers = { },
            };
            // Make the request
            DeleteGroupMembersResponse response = await overTheAirServiceClient.DeleteGroupMembersAsync(request);
            // End snippet
        }

        public void DeleteGroupMembers_RequestObject()
        {
            // Snippet: DeleteGroupMembers(DeleteGroupMembersRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            DeleteGroupMembersRequest request = new DeleteGroupMembersRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                GroupMembers = { },
            };
            // Make the request
            DeleteGroupMembersResponse response = overTheAirServiceClient.DeleteGroupMembers(request);
            // End snippet
        }

        public async Task GetGroupChartAsync()
        {
            // Snippet: GetGroupChartAsync(string,ChartOptions,CallSettings)
            // Additional: GetGroupChartAsync(string,ChartOptions,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new ChartName("[DEPLOYMENT]", "[GROUP]", "[CHART]").ToString();
            ChartOptions options = new ChartOptions();
            // Make the request
            Chart response = await overTheAirServiceClient.GetGroupChartAsync(formattedName, options);
            // End snippet
        }

        public void GetGroupChart()
        {
            // Snippet: GetGroupChart(string,ChartOptions,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new ChartName("[DEPLOYMENT]", "[GROUP]", "[CHART]").ToString();
            ChartOptions options = new ChartOptions();
            // Make the request
            Chart response = overTheAirServiceClient.GetGroupChart(formattedName, options);
            // End snippet
        }

        public async Task GetGroupChartAsync_RequestObject()
        {
            // Snippet: GetGroupChartAsync(GetGroupChartRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            GetGroupChartRequest request = new GetGroupChartRequest
            {
                Name = new ChartName("[DEPLOYMENT]", "[GROUP]", "[CHART]").ToString(),
            };
            // Make the request
            Chart response = await overTheAirServiceClient.GetGroupChartAsync(request);
            // End snippet
        }

        public void GetGroupChart_RequestObject()
        {
            // Snippet: GetGroupChart(GetGroupChartRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            GetGroupChartRequest request = new GetGroupChartRequest
            {
                Name = new ChartName("[DEPLOYMENT]", "[GROUP]", "[CHART]").ToString(),
            };
            // Make the request
            Chart response = overTheAirServiceClient.GetGroupChart(request);
            // End snippet
        }

        public async Task ListGroupChartsAsync()
        {
            // Snippet: ListGroupChartsAsync(string,ChartOptions,View?,CallSettings)
            // Additional: ListGroupChartsAsync(string,ChartOptions,View?,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            ChartOptions options = new ChartOptions();
            View view = View.Basic;
            // Make the request
            ListGroupChartsResponse response = await overTheAirServiceClient.ListGroupChartsAsync(formattedName, options, view);
            // End snippet
        }

        public void ListGroupCharts()
        {
            // Snippet: ListGroupCharts(string,ChartOptions,View?,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            ChartOptions options = new ChartOptions();
            View view = View.Basic;
            // Make the request
            ListGroupChartsResponse response = overTheAirServiceClient.ListGroupCharts(formattedName, options, view);
            // End snippet
        }

        public async Task ListGroupChartsAsync_RequestObject()
        {
            // Snippet: ListGroupChartsAsync(ListGroupChartsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            ListGroupChartsRequest request = new ListGroupChartsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            // Make the request
            ListGroupChartsResponse response = await overTheAirServiceClient.ListGroupChartsAsync(request);
            // End snippet
        }

        public void ListGroupCharts_RequestObject()
        {
            // Snippet: ListGroupCharts(ListGroupChartsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            ListGroupChartsRequest request = new ListGroupChartsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            // Make the request
            ListGroupChartsResponse response = overTheAirServiceClient.ListGroupCharts(request);
            // End snippet
        }

        public async Task ListGroupConfigsAsync()
        {
            // Snippet: ListGroupConfigsAsync(string,CallSettings)
            // Additional: ListGroupConfigsAsync(string,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            // Make the request
            ListGroupConfigsResponse response = await overTheAirServiceClient.ListGroupConfigsAsync(formattedName);
            // End snippet
        }

        public void ListGroupConfigs()
        {
            // Snippet: ListGroupConfigs(string,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            // Make the request
            ListGroupConfigsResponse response = overTheAirServiceClient.ListGroupConfigs(formattedName);
            // End snippet
        }

        public async Task ListGroupConfigsAsync_RequestObject()
        {
            // Snippet: ListGroupConfigsAsync(ListGroupConfigsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            ListGroupConfigsRequest request = new ListGroupConfigsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            // Make the request
            ListGroupConfigsResponse response = await overTheAirServiceClient.ListGroupConfigsAsync(request);
            // End snippet
        }

        public void ListGroupConfigs_RequestObject()
        {
            // Snippet: ListGroupConfigs(ListGroupConfigsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            ListGroupConfigsRequest request = new ListGroupConfigsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
            };
            // Make the request
            ListGroupConfigsResponse response = overTheAirServiceClient.ListGroupConfigs(request);
            // End snippet
        }

        public async Task UpdateGroupConfigsAsync()
        {
            // Snippet: UpdateGroupConfigsAsync(string,IEnumerable<string>,VersionTag,CallSettings)
            // Additional: UpdateGroupConfigsAsync(string,IEnumerable<string>,VersionTag,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            IEnumerable<string> configNames = new List<string>();
            VersionTag versionTag = new VersionTag();
            // Make the request
            UpdateGroupConfigsResponse response = await overTheAirServiceClient.UpdateGroupConfigsAsync(formattedName, configNames, versionTag);
            // End snippet
        }

        public void UpdateGroupConfigs()
        {
            // Snippet: UpdateGroupConfigs(string,IEnumerable<string>,VersionTag,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString();
            IEnumerable<string> configNames = new List<string>();
            VersionTag versionTag = new VersionTag();
            // Make the request
            UpdateGroupConfigsResponse response = overTheAirServiceClient.UpdateGroupConfigs(formattedName, configNames, versionTag);
            // End snippet
        }

        public async Task UpdateGroupConfigsAsync_RequestObject()
        {
            // Snippet: UpdateGroupConfigsAsync(UpdateGroupConfigsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            UpdateGroupConfigsRequest request = new UpdateGroupConfigsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                ConfigNames = { },
                VersionTag = new VersionTag(),
            };
            // Make the request
            UpdateGroupConfigsResponse response = await overTheAirServiceClient.UpdateGroupConfigsAsync(request);
            // End snippet
        }

        public void UpdateGroupConfigs_RequestObject()
        {
            // Snippet: UpdateGroupConfigs(UpdateGroupConfigsRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            UpdateGroupConfigsRequest request = new UpdateGroupConfigsRequest
            {
                Name = new GroupName("[DEPLOYMENT]", "[GROUP]").ToString(),
                ConfigNames = { },
                VersionTag = new VersionTag(),
            };
            // Make the request
            UpdateGroupConfigsResponse response = overTheAirServiceClient.UpdateGroupConfigs(request);
            // End snippet
        }

        public async Task DisableAllEnabledGroupsOfConfigAsync()
        {
            // Snippet: DisableAllEnabledGroupsOfConfigAsync(string,CallSettings)
            // Additional: DisableAllEnabledGroupsOfConfigAsync(string,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            // Make the request
            DisableAllEnabledGroupsOfConfigResponse response = await overTheAirServiceClient.DisableAllEnabledGroupsOfConfigAsync(formattedName);
            // End snippet
        }

        public void DisableAllEnabledGroupsOfConfig()
        {
            // Snippet: DisableAllEnabledGroupsOfConfig(string,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            // Make the request
            DisableAllEnabledGroupsOfConfigResponse response = overTheAirServiceClient.DisableAllEnabledGroupsOfConfig(formattedName);
            // End snippet
        }

        public async Task DisableAllEnabledGroupsOfConfigAsync_RequestObject()
        {
            // Snippet: DisableAllEnabledGroupsOfConfigAsync(DisableAllEnabledGroupsOfConfigRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            DisableAllEnabledGroupsOfConfigRequest request = new DisableAllEnabledGroupsOfConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            // Make the request
            DisableAllEnabledGroupsOfConfigResponse response = await overTheAirServiceClient.DisableAllEnabledGroupsOfConfigAsync(request);
            // End snippet
        }

        public void DisableAllEnabledGroupsOfConfig_RequestObject()
        {
            // Snippet: DisableAllEnabledGroupsOfConfig(DisableAllEnabledGroupsOfConfigRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            DisableAllEnabledGroupsOfConfigRequest request = new DisableAllEnabledGroupsOfConfigRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            // Make the request
            DisableAllEnabledGroupsOfConfigResponse response = overTheAirServiceClient.DisableAllEnabledGroupsOfConfig(request);
            // End snippet
        }

        public async Task ListConfigPackagesAsync()
        {
            // Snippet: ListConfigPackagesAsync(string,CallSettings)
            // Additional: ListConfigPackagesAsync(string,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            // Make the request
            ListConfigPackagesResponse response = await overTheAirServiceClient.ListConfigPackagesAsync(formattedName);
            // End snippet
        }

        public void ListConfigPackages()
        {
            // Snippet: ListConfigPackages(string,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            // Make the request
            ListConfigPackagesResponse response = overTheAirServiceClient.ListConfigPackages(formattedName);
            // End snippet
        }

        public async Task ListConfigPackagesAsync_RequestObject()
        {
            // Snippet: ListConfigPackagesAsync(ListConfigPackagesRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            ListConfigPackagesRequest request = new ListConfigPackagesRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            // Make the request
            ListConfigPackagesResponse response = await overTheAirServiceClient.ListConfigPackagesAsync(request);
            // End snippet
        }

        public void ListConfigPackages_RequestObject()
        {
            // Snippet: ListConfigPackages(ListConfigPackagesRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            ListConfigPackagesRequest request = new ListConfigPackagesRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
            };
            // Make the request
            ListConfigPackagesResponse response = overTheAirServiceClient.ListConfigPackages(request);
            // End snippet
        }

        public async Task UpdateConfigPackagesAsync()
        {
            // Snippet: UpdateConfigPackagesAsync(string,IEnumerable<PackageConfig>,CallSettings)
            // Additional: UpdateConfigPackagesAsync(string,IEnumerable<PackageConfig>,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            IEnumerable<PackageConfig> packageConfigs = new List<PackageConfig>();
            // Make the request
            UpdateConfigPackagesResponse response = await overTheAirServiceClient.UpdateConfigPackagesAsync(formattedName, packageConfigs);
            // End snippet
        }

        public void UpdateConfigPackages()
        {
            // Snippet: UpdateConfigPackages(string,IEnumerable<PackageConfig>,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString();
            IEnumerable<PackageConfig> packageConfigs = new List<PackageConfig>();
            // Make the request
            UpdateConfigPackagesResponse response = overTheAirServiceClient.UpdateConfigPackages(formattedName, packageConfigs);
            // End snippet
        }

        public async Task UpdateConfigPackagesAsync_RequestObject()
        {
            // Snippet: UpdateConfigPackagesAsync(UpdateConfigPackagesRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            UpdateConfigPackagesRequest request = new UpdateConfigPackagesRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                PackageConfigs = { },
            };
            // Make the request
            UpdateConfigPackagesResponse response = await overTheAirServiceClient.UpdateConfigPackagesAsync(request);
            // End snippet
        }

        public void UpdateConfigPackages_RequestObject()
        {
            // Snippet: UpdateConfigPackages(UpdateConfigPackagesRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            UpdateConfigPackagesRequest request = new UpdateConfigPackagesRequest
            {
                Name = new ConfigName("[DEPLOYMENT]", "[CONFIG]").ToString(),
                PackageConfigs = { },
            };
            // Make the request
            UpdateConfigPackagesResponse response = overTheAirServiceClient.UpdateConfigPackages(request);
            // End snippet
        }

        public async Task ListConfigsUsingPackageAsync()
        {
            // Snippet: ListConfigsUsingPackageAsync(string,CallSettings)
            // Additional: ListConfigsUsingPackageAsync(string,CancellationToken)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            // Make the request
            ListConfigsUsingPackageResponse response = await overTheAirServiceClient.ListConfigsUsingPackageAsync(formattedName);
            // End snippet
        }

        public void ListConfigsUsingPackage()
        {
            // Snippet: ListConfigsUsingPackage(string,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            string formattedName = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString();
            // Make the request
            ListConfigsUsingPackageResponse response = overTheAirServiceClient.ListConfigsUsingPackage(formattedName);
            // End snippet
        }

        public async Task ListConfigsUsingPackageAsync_RequestObject()
        {
            // Snippet: ListConfigsUsingPackageAsync(ListConfigsUsingPackageRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = await OverTheAirServiceClient.CreateAsync();
            // Initialize request argument(s)
            ListConfigsUsingPackageRequest request = new ListConfigsUsingPackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            // Make the request
            ListConfigsUsingPackageResponse response = await overTheAirServiceClient.ListConfigsUsingPackageAsync(request);
            // End snippet
        }

        public void ListConfigsUsingPackage_RequestObject()
        {
            // Snippet: ListConfigsUsingPackage(ListConfigsUsingPackageRequest,CallSettings)
            // Create client
            OverTheAirServiceClient overTheAirServiceClient = OverTheAirServiceClient.Create();
            // Initialize request argument(s)
            ListConfigsUsingPackageRequest request = new ListConfigsUsingPackageRequest
            {
                Name = new PackagePathName("[DEPLOYMENT]", "[PACKAGE_PATH]").ToString(),
            };
            // Make the request
            ListConfigsUsingPackageResponse response = overTheAirServiceClient.ListConfigsUsingPackage(request);
            // End snippet
        }

    }
}
