// Copyright 2017, Google Inc. All rights reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

// Generated code. DO NOT EDIT!

using Google.Api.Gax;
using Google.Api.Gax.Grpc;
using Google.Protobuf.WellKnownTypes;
using Grpc.Core;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Threading;
using System.Threading.Tasks;

namespace Google.Android.OverTheAir.V1
{
    /// <summary>
    /// Settings for a <see cref="OverTheAirServiceClient"/>.
    /// </summary>
    public sealed partial class OverTheAirServiceSettings : ServiceSettingsBase
    {
        /// <summary>
        /// Get a new instance of the default <see cref="OverTheAirServiceSettings"/>.
        /// </summary>
        /// <returns>
        /// A new instance of the default <see cref="OverTheAirServiceSettings"/>.
        /// </returns>
        public static OverTheAirServiceSettings GetDefault() => new OverTheAirServiceSettings();

        /// <summary>
        /// Constructs a new <see cref="OverTheAirServiceSettings"/> object with default settings.
        /// </summary>
        public OverTheAirServiceSettings() { }

        private OverTheAirServiceSettings(OverTheAirServiceSettings existing) : base(existing)
        {
            GaxPreconditions.CheckNotNull(existing, nameof(existing));
            GetDeploymentSettings = existing.GetDeploymentSettings;
            ListDeploymentsSettings = existing.ListDeploymentsSettings;
            UpdateDeploymentSettings = existing.UpdateDeploymentSettings;
            GetPackageSettings = existing.GetPackageSettings;
            ListPackagesSettings = existing.ListPackagesSettings;
            DeletePackageSettings = existing.DeletePackageSettings;
            UpdatePackageSettings = existing.UpdatePackageSettings;
            CreateConfigSettings = existing.CreateConfigSettings;
            GetConfigSettings = existing.GetConfigSettings;
            ListConfigsSettings = existing.ListConfigsSettings;
            DeleteConfigSettings = existing.DeleteConfigSettings;
            UpdateConfigSettings = existing.UpdateConfigSettings;
            CreateGroupSettings = existing.CreateGroupSettings;
            GetGroupSettings = existing.GetGroupSettings;
            ListGroupsSettings = existing.ListGroupsSettings;
            DeleteGroupSettings = existing.DeleteGroupSettings;
            UpdateGroupSettings = existing.UpdateGroupSettings;
            DisableGroupsSettings = existing.DisableGroupsSettings;
            EnableGroupsSettings = existing.EnableGroupsSettings;
            CreateGroupMemberSettings = existing.CreateGroupMemberSettings;
            CreateGroupMembersSettings = existing.CreateGroupMembersSettings;
            GetGroupMemberSettings = existing.GetGroupMemberSettings;
            ListGroupMembersSettings = existing.ListGroupMembersSettings;
            DeleteGroupMemberSettings = existing.DeleteGroupMemberSettings;
            DeleteGroupMembersSettings = existing.DeleteGroupMembersSettings;
            GetGroupChartSettings = existing.GetGroupChartSettings;
            ListGroupChartsSettings = existing.ListGroupChartsSettings;
            ListGroupConfigsSettings = existing.ListGroupConfigsSettings;
            UpdateGroupConfigsSettings = existing.UpdateGroupConfigsSettings;
            DisableAllEnabledGroupsOfConfigSettings = existing.DisableAllEnabledGroupsOfConfigSettings;
            ListConfigPackagesSettings = existing.ListConfigPackagesSettings;
            UpdateConfigPackagesSettings = existing.UpdateConfigPackagesSettings;
            ListConfigsUsingPackageSettings = existing.ListConfigsUsingPackageSettings;
            OnCopy(existing);
        }

        partial void OnCopy(OverTheAirServiceSettings existing);

        /// <summary>
        /// The filter specifying which RPC <see cref="StatusCode"/>s are eligible for retry
        /// for "Idempotent" <see cref="OverTheAirServiceClient"/> RPC methods.
        /// </summary>
        /// <remarks>
        /// The eligible RPC <see cref="StatusCode"/>s for retry for "Idempotent" RPC methods are:
        /// <list type="bullet">
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// </remarks>
        public static Predicate<RpcException> IdempotentRetryFilter { get; } =
            RetrySettings.FilterForStatusCodes(StatusCode.DeadlineExceeded, StatusCode.Unavailable);

        /// <summary>
        /// The filter specifying which RPC <see cref="StatusCode"/>s are eligible for retry
        /// for "NonIdempotent" <see cref="OverTheAirServiceClient"/> RPC methods.
        /// </summary>
        /// <remarks>
        /// There are no RPC <see cref="StatusCode"/>s eligible for retry for "NonIdempotent" RPC methods.
        /// </remarks>
        public static Predicate<RpcException> NonIdempotentRetryFilter { get; } =
            RetrySettings.FilterForStatusCodes();

        /// <summary>
        /// "Default" retry backoff for <see cref="OverTheAirServiceClient"/> RPC methods.
        /// </summary>
        /// <returns>
        /// The "Default" retry backoff for <see cref="OverTheAirServiceClient"/> RPC methods.
        /// </returns>
        /// <remarks>
        /// The "Default" retry backoff for <see cref="OverTheAirServiceClient"/> RPC methods is defined as:
        /// <list type="bullet">
        /// <item><description>Initial delay: 100 milliseconds</description></item>
        /// <item><description>Maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Delay multiplier: 1.3</description></item>
        /// </list>
        /// </remarks>
        public static BackoffSettings GetDefaultRetryBackoff() => new BackoffSettings(
            delay: TimeSpan.FromMilliseconds(100),
            maxDelay: TimeSpan.FromMilliseconds(60000),
            delayMultiplier: 1.3
        );

        /// <summary>
        /// "Default" timeout backoff for <see cref="OverTheAirServiceClient"/> RPC methods.
        /// </summary>
        /// <returns>
        /// The "Default" timeout backoff for <see cref="OverTheAirServiceClient"/> RPC methods.
        /// </returns>
        /// <remarks>
        /// The "Default" timeout backoff for <see cref="OverTheAirServiceClient"/> RPC methods is defined as:
        /// <list type="bullet">
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Maximum timeout: 20000 milliseconds</description></item>
        /// </list>
        /// </remarks>
        public static BackoffSettings GetDefaultTimeoutBackoff() => new BackoffSettings(
            delay: TimeSpan.FromMilliseconds(20000),
            maxDelay: TimeSpan.FromMilliseconds(20000),
            delayMultiplier: 1.0
        );

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.GetDeployment</c> and <c>OverTheAirServiceClient.GetDeploymentAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.GetDeployment</c> and
        /// <c>OverTheAirServiceClient.GetDeploymentAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings GetDeploymentSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.ListDeployments</c> and <c>OverTheAirServiceClient.ListDeploymentsAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.ListDeployments</c> and
        /// <c>OverTheAirServiceClient.ListDeploymentsAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings ListDeploymentsSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.UpdateDeployment</c> and <c>OverTheAirServiceClient.UpdateDeploymentAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.UpdateDeployment</c> and
        /// <c>OverTheAirServiceClient.UpdateDeploymentAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings UpdateDeploymentSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.GetPackage</c> and <c>OverTheAirServiceClient.GetPackageAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.GetPackage</c> and
        /// <c>OverTheAirServiceClient.GetPackageAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings GetPackageSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.ListPackages</c> and <c>OverTheAirServiceClient.ListPackagesAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.ListPackages</c> and
        /// <c>OverTheAirServiceClient.ListPackagesAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings ListPackagesSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.DeletePackage</c> and <c>OverTheAirServiceClient.DeletePackageAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.DeletePackage</c> and
        /// <c>OverTheAirServiceClient.DeletePackageAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings DeletePackageSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.UpdatePackage</c> and <c>OverTheAirServiceClient.UpdatePackageAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.UpdatePackage</c> and
        /// <c>OverTheAirServiceClient.UpdatePackageAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings UpdatePackageSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.CreateConfig</c> and <c>OverTheAirServiceClient.CreateConfigAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.CreateConfig</c> and
        /// <c>OverTheAirServiceClient.CreateConfigAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description>No status codes</description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings CreateConfigSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: NonIdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.GetConfig</c> and <c>OverTheAirServiceClient.GetConfigAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.GetConfig</c> and
        /// <c>OverTheAirServiceClient.GetConfigAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings GetConfigSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.ListConfigs</c> and <c>OverTheAirServiceClient.ListConfigsAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.ListConfigs</c> and
        /// <c>OverTheAirServiceClient.ListConfigsAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings ListConfigsSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.DeleteConfig</c> and <c>OverTheAirServiceClient.DeleteConfigAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.DeleteConfig</c> and
        /// <c>OverTheAirServiceClient.DeleteConfigAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings DeleteConfigSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.UpdateConfig</c> and <c>OverTheAirServiceClient.UpdateConfigAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.UpdateConfig</c> and
        /// <c>OverTheAirServiceClient.UpdateConfigAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings UpdateConfigSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.CreateGroup</c> and <c>OverTheAirServiceClient.CreateGroupAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.CreateGroup</c> and
        /// <c>OverTheAirServiceClient.CreateGroupAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description>No status codes</description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings CreateGroupSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: NonIdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.GetGroup</c> and <c>OverTheAirServiceClient.GetGroupAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.GetGroup</c> and
        /// <c>OverTheAirServiceClient.GetGroupAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings GetGroupSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.ListGroups</c> and <c>OverTheAirServiceClient.ListGroupsAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.ListGroups</c> and
        /// <c>OverTheAirServiceClient.ListGroupsAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings ListGroupsSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.DeleteGroup</c> and <c>OverTheAirServiceClient.DeleteGroupAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.DeleteGroup</c> and
        /// <c>OverTheAirServiceClient.DeleteGroupAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings DeleteGroupSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.UpdateGroup</c> and <c>OverTheAirServiceClient.UpdateGroupAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.UpdateGroup</c> and
        /// <c>OverTheAirServiceClient.UpdateGroupAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings UpdateGroupSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.DisableGroups</c> and <c>OverTheAirServiceClient.DisableGroupsAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.DisableGroups</c> and
        /// <c>OverTheAirServiceClient.DisableGroupsAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description>No status codes</description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings DisableGroupsSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: NonIdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.EnableGroups</c> and <c>OverTheAirServiceClient.EnableGroupsAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.EnableGroups</c> and
        /// <c>OverTheAirServiceClient.EnableGroupsAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description>No status codes</description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings EnableGroupsSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: NonIdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.CreateGroupMember</c> and <c>OverTheAirServiceClient.CreateGroupMemberAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.CreateGroupMember</c> and
        /// <c>OverTheAirServiceClient.CreateGroupMemberAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description>No status codes</description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings CreateGroupMemberSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: NonIdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.CreateGroupMembers</c> and <c>OverTheAirServiceClient.CreateGroupMembersAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.CreateGroupMembers</c> and
        /// <c>OverTheAirServiceClient.CreateGroupMembersAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description>No status codes</description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings CreateGroupMembersSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: NonIdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.GetGroupMember</c> and <c>OverTheAirServiceClient.GetGroupMemberAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.GetGroupMember</c> and
        /// <c>OverTheAirServiceClient.GetGroupMemberAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings GetGroupMemberSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.ListGroupMembers</c> and <c>OverTheAirServiceClient.ListGroupMembersAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.ListGroupMembers</c> and
        /// <c>OverTheAirServiceClient.ListGroupMembersAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings ListGroupMembersSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.DeleteGroupMember</c> and <c>OverTheAirServiceClient.DeleteGroupMemberAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.DeleteGroupMember</c> and
        /// <c>OverTheAirServiceClient.DeleteGroupMemberAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings DeleteGroupMemberSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.DeleteGroupMembers</c> and <c>OverTheAirServiceClient.DeleteGroupMembersAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.DeleteGroupMembers</c> and
        /// <c>OverTheAirServiceClient.DeleteGroupMembersAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description>No status codes</description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings DeleteGroupMembersSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: NonIdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.GetGroupChart</c> and <c>OverTheAirServiceClient.GetGroupChartAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.GetGroupChart</c> and
        /// <c>OverTheAirServiceClient.GetGroupChartAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings GetGroupChartSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.ListGroupCharts</c> and <c>OverTheAirServiceClient.ListGroupChartsAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.ListGroupCharts</c> and
        /// <c>OverTheAirServiceClient.ListGroupChartsAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings ListGroupChartsSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.ListGroupConfigs</c> and <c>OverTheAirServiceClient.ListGroupConfigsAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.ListGroupConfigs</c> and
        /// <c>OverTheAirServiceClient.ListGroupConfigsAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings ListGroupConfigsSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.UpdateGroupConfigs</c> and <c>OverTheAirServiceClient.UpdateGroupConfigsAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.UpdateGroupConfigs</c> and
        /// <c>OverTheAirServiceClient.UpdateGroupConfigsAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings UpdateGroupConfigsSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.DisableAllEnabledGroupsOfConfig</c> and <c>OverTheAirServiceClient.DisableAllEnabledGroupsOfConfigAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.DisableAllEnabledGroupsOfConfig</c> and
        /// <c>OverTheAirServiceClient.DisableAllEnabledGroupsOfConfigAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description>No status codes</description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings DisableAllEnabledGroupsOfConfigSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: NonIdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.ListConfigPackages</c> and <c>OverTheAirServiceClient.ListConfigPackagesAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.ListConfigPackages</c> and
        /// <c>OverTheAirServiceClient.ListConfigPackagesAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings ListConfigPackagesSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.UpdateConfigPackages</c> and <c>OverTheAirServiceClient.UpdateConfigPackagesAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.UpdateConfigPackages</c> and
        /// <c>OverTheAirServiceClient.UpdateConfigPackagesAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings UpdateConfigPackagesSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// <see cref="CallSettings"/> for synchronous and asynchronous calls to
        /// <c>OverTheAirServiceClient.ListConfigsUsingPackage</c> and <c>OverTheAirServiceClient.ListConfigsUsingPackageAsync</c>.
        /// </summary>
        /// <remarks>
        /// The default <c>OverTheAirServiceClient.ListConfigsUsingPackage</c> and
        /// <c>OverTheAirServiceClient.ListConfigsUsingPackageAsync</c> <see cref="RetrySettings"/> are:
        /// <list type="bullet">
        /// <item><description>Initial retry delay: 100 milliseconds</description></item>
        /// <item><description>Retry delay multiplier: 1.3</description></item>
        /// <item><description>Retry maximum delay: 60000 milliseconds</description></item>
        /// <item><description>Initial timeout: 20000 milliseconds</description></item>
        /// <item><description>Timeout multiplier: 1.0</description></item>
        /// <item><description>Timeout maximum delay: 20000 milliseconds</description></item>
        /// </list>
        /// Retry will be attempted on the following response status codes:
        /// <list>
        /// <item><description><see cref="StatusCode.DeadlineExceeded"/></description></item>
        /// <item><description><see cref="StatusCode.Unavailable"/></description></item>
        /// </list>
        /// Default RPC expiration is 600000 milliseconds.
        /// </remarks>
        public CallSettings ListConfigsUsingPackageSettings { get; set; } = CallSettings.FromCallTiming(
            CallTiming.FromRetry(new RetrySettings(
                retryBackoff: GetDefaultRetryBackoff(),
                timeoutBackoff: GetDefaultTimeoutBackoff(),
                totalExpiration: Expiration.FromTimeout(TimeSpan.FromMilliseconds(600000)),
                retryFilter: IdempotentRetryFilter
            )));

        /// <summary>
        /// Creates a deep clone of this object, with all the same property values.
        /// </summary>
        /// <returns>A deep clone of this <see cref="OverTheAirServiceSettings"/> object.</returns>
        public OverTheAirServiceSettings Clone() => new OverTheAirServiceSettings(this);
    }

    /// <summary>
    /// OverTheAirService client wrapper, for convenient use.
    /// </summary>
    public abstract partial class OverTheAirServiceClient
    {
        /// <summary>
        /// The default endpoint for the OverTheAirService service, which is a host of "androidovertheair.googleapis.com" and a port of 443.
        /// </summary>
        public static ServiceEndpoint DefaultEndpoint { get; } = new ServiceEndpoint("androidovertheair.googleapis.com", 443);

        /// <summary>
        /// The default OverTheAirService scopes.
        /// </summary>
        /// <remarks>
        /// The default OverTheAirService scopes are:
        /// <list type="bullet">
        /// <item><description>"https://www.googleapis.com/auth/android_partner_over_the_air"</description></item>
        /// <item><description>"https://www.googleapis.com/auth/userinfo.email"</description></item>
        /// </list>
        /// </remarks>
        public static IReadOnlyList<string> DefaultScopes { get; } = new ReadOnlyCollection<string>(new string[] {
            "https://www.googleapis.com/auth/android_partner_over_the_air",
            "https://www.googleapis.com/auth/userinfo.email",
        });

        private static readonly ChannelPool s_channelPool = new ChannelPool(DefaultScopes);

        // Note: we could have parameterless overloads of Create and CreateAsync,
        // documented to just use the default endpoint, settings and credentials.
        // Pros:
        // - Might be more reassuring on first use
        // - Allows method group conversions
        // Con: overloads!

        /// <summary>
        /// Asynchronously creates a <see cref="OverTheAirServiceClient"/>, applying defaults for all unspecified settings,
        /// and creating a channel connecting to the given endpoint with application default credentials where
        /// necessary.
        /// </summary>
        /// <param name="endpoint">Optional <see cref="ServiceEndpoint"/>.</param>
        /// <param name="settings">Optional <see cref="OverTheAirServiceSettings"/>.</param>
        /// <returns>The task representing the created <see cref="OverTheAirServiceClient"/>.</returns>
        public static async Task<OverTheAirServiceClient> CreateAsync(ServiceEndpoint endpoint = null, OverTheAirServiceSettings settings = null)
        {
            Channel channel = await s_channelPool.GetChannelAsync(endpoint ?? DefaultEndpoint).ConfigureAwait(false);
            return Create(channel, settings);
        }

        /// <summary>
        /// Synchronously creates a <see cref="OverTheAirServiceClient"/>, applying defaults for all unspecified settings,
        /// and creating a channel connecting to the given endpoint with application default credentials where
        /// necessary.
        /// </summary>
        /// <param name="endpoint">Optional <see cref="ServiceEndpoint"/>.</param>
        /// <param name="settings">Optional <see cref="OverTheAirServiceSettings"/>.</param>
        /// <returns>The created <see cref="OverTheAirServiceClient"/>.</returns>
        public static OverTheAirServiceClient Create(ServiceEndpoint endpoint = null, OverTheAirServiceSettings settings = null)
        {
            Channel channel = s_channelPool.GetChannel(endpoint ?? DefaultEndpoint);
            return Create(channel, settings);
        }

        /// <summary>
        /// Creates a <see cref="OverTheAirServiceClient"/> which uses the specified channel for remote operations.
        /// </summary>
        /// <param name="channel">The <see cref="Channel"/> for remote operations. Must not be null.</param>
        /// <param name="settings">Optional <see cref="OverTheAirServiceSettings"/>.</param>
        /// <returns>The created <see cref="OverTheAirServiceClient"/>.</returns>
        public static OverTheAirServiceClient Create(Channel channel, OverTheAirServiceSettings settings = null)
        {
            GaxPreconditions.CheckNotNull(channel, nameof(channel));
            OverTheAirService.OverTheAirServiceClient grpcClient = new OverTheAirService.OverTheAirServiceClient(channel);
            return new OverTheAirServiceClientImpl(grpcClient, settings);
        }

        /// <summary>
        /// Shuts down any channels automatically created by <see cref="Create(ServiceEndpoint, OverTheAirServiceSettings)"/>
        /// and <see cref="CreateAsync(ServiceEndpoint, OverTheAirServiceSettings)"/>. Channels which weren't automatically
        /// created are not affected.
        /// </summary>
        /// <remarks>After calling this method, further calls to <see cref="Create(ServiceEndpoint, OverTheAirServiceSettings)"/>
        /// and <see cref="CreateAsync(ServiceEndpoint, OverTheAirServiceSettings)"/> will create new channels, which could
        /// in turn be shut down by another call to this method.</remarks>
        /// <returns>A task representing the asynchronous shutdown operation.</returns>
        public static Task ShutdownDefaultChannelsAsync() => s_channelPool.ShutdownChannelsAsync();

        /// <summary>
        /// The underlying gRPC OverTheAirService client.
        /// </summary>
        public virtual OverTheAirService.OverTheAirServiceClient GrpcClient
        {
            get { throw new NotImplementedException(); }
        }

        /// <summary>
        /// Gets a [Deployment][google.android.overtheair.v1.Deployment].
        /// Returns `NOT_FOUND` if the deployment does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the deployment
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Deployment> GetDeploymentAsync(
            string name,
            View? view,
            CallSettings callSettings = null) => GetDeploymentAsync(
                new GetDeploymentRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Gets a [Deployment][google.android.overtheair.v1.Deployment].
        /// Returns `NOT_FOUND` if the deployment does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the deployment
        /// should be returned.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Deployment> GetDeploymentAsync(
            string name,
            View? view,
            CancellationToken cancellationToken) => GetDeploymentAsync(
                name,
                view,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Gets a [Deployment][google.android.overtheair.v1.Deployment].
        /// Returns `NOT_FOUND` if the deployment does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the deployment
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Deployment GetDeployment(
            string name,
            View? view,
            CallSettings callSettings = null) => GetDeployment(
                new GetDeploymentRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Gets a [Deployment][google.android.overtheair.v1.Deployment].
        /// Returns `NOT_FOUND` if the deployment does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Deployment> GetDeploymentAsync(
            GetDeploymentRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets a [Deployment][google.android.overtheair.v1.Deployment].
        /// Returns `NOT_FOUND` if the deployment does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Deployment GetDeployment(
            GetDeploymentRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists [deployments][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of each deployment
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListDeploymentsResponse> ListDeploymentsAsync(
            View? view,
            CallSettings callSettings = null) => ListDeploymentsAsync(
                new ListDeploymentsRequest
                {
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Lists [deployments][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of each deployment
        /// should be returned.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListDeploymentsResponse> ListDeploymentsAsync(
            View? view,
            CancellationToken cancellationToken) => ListDeploymentsAsync(
                view,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Lists [deployments][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of each deployment
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListDeploymentsResponse ListDeployments(
            View? view,
            CallSettings callSettings = null) => ListDeployments(
                new ListDeploymentsRequest
                {
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Lists [deployments][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListDeploymentsResponse> ListDeploymentsAsync(
            ListDeploymentsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists [deployments][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListDeploymentsResponse ListDeployments(
            ListDeploymentsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates a [deployment][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="deployment">
        /// Required. Only the deployment description can be updated.
        /// </param>
        /// <param name="versionTag">
        /// Required. The deployment to be updated should match this version.
        /// If another client updates the existing instance concurrently, this
        /// update operation will fail.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Deployment> UpdateDeploymentAsync(
            string name,
            Deployment deployment,
            VersionTag versionTag,
            CallSettings callSettings = null) => UpdateDeploymentAsync(
                new UpdateDeploymentRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Deployment = GaxPreconditions.CheckNotNull(deployment, nameof(deployment)),
                    VersionTag = GaxPreconditions.CheckNotNull(versionTag, nameof(versionTag)),
                },
                callSettings);

        /// <summary>
        /// Updates a [deployment][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="deployment">
        /// Required. Only the deployment description can be updated.
        /// </param>
        /// <param name="versionTag">
        /// Required. The deployment to be updated should match this version.
        /// If another client updates the existing instance concurrently, this
        /// update operation will fail.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Deployment> UpdateDeploymentAsync(
            string name,
            Deployment deployment,
            VersionTag versionTag,
            CancellationToken cancellationToken) => UpdateDeploymentAsync(
                name,
                deployment,
                versionTag,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Updates a [deployment][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="deployment">
        /// Required. Only the deployment description can be updated.
        /// </param>
        /// <param name="versionTag">
        /// Required. The deployment to be updated should match this version.
        /// If another client updates the existing instance concurrently, this
        /// update operation will fail.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Deployment UpdateDeployment(
            string name,
            Deployment deployment,
            VersionTag versionTag,
            CallSettings callSettings = null) => UpdateDeployment(
                new UpdateDeploymentRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Deployment = GaxPreconditions.CheckNotNull(deployment, nameof(deployment)),
                    VersionTag = GaxPreconditions.CheckNotNull(versionTag, nameof(versionTag)),
                },
                callSettings);

        /// <summary>
        /// Updates a [deployment][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Deployment> UpdateDeploymentAsync(
            UpdateDeploymentRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates a [deployment][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Deployment UpdateDeployment(
            UpdateDeploymentRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/packages/package_a"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the package
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Package> GetPackageAsync(
            string name,
            View? view,
            CallSettings callSettings = null) => GetPackageAsync(
                new GetPackageRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Gets a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/packages/package_a"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the package
        /// should be returned.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Package> GetPackageAsync(
            string name,
            View? view,
            CancellationToken cancellationToken) => GetPackageAsync(
                name,
                view,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Gets a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/packages/package_a"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the package
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Package GetPackage(
            string name,
            View? view,
            CallSettings callSettings = null) => GetPackage(
                new GetPackageRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Gets a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Package> GetPackageAsync(
            GetPackageRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Package GetPackage(
            GetPackageRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists [packages][google.android.overtheair.v1.Package].
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of each package
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListPackagesResponse> ListPackagesAsync(
            string name,
            View? view,
            CallSettings callSettings = null) => ListPackagesAsync(
                new ListPackagesRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Lists [packages][google.android.overtheair.v1.Package].
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of each package
        /// should be returned.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListPackagesResponse> ListPackagesAsync(
            string name,
            View? view,
            CancellationToken cancellationToken) => ListPackagesAsync(
                name,
                view,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Lists [packages][google.android.overtheair.v1.Package].
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of each package
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListPackagesResponse ListPackages(
            string name,
            View? view,
            CallSettings callSettings = null) => ListPackages(
                new ListPackagesRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Lists [packages][google.android.overtheair.v1.Package].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListPackagesResponse> ListPackagesAsync(
            ListPackagesRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists [packages][google.android.overtheair.v1.Package].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListPackagesResponse ListPackages(
            ListPackagesRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/packages/package_a"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeletePackageResponse> DeletePackageAsync(
            string name,
            CallSettings callSettings = null) => DeletePackageAsync(
                new DeletePackageRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Deletes a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/packages/package_a"
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeletePackageResponse> DeletePackageAsync(
            string name,
            CancellationToken cancellationToken) => DeletePackageAsync(
                name,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Deletes a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/packages/package_a"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DeletePackageResponse DeletePackage(
            string name,
            CallSettings callSettings = null) => DeletePackage(
                new DeletePackageRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Deletes a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeletePackageResponse> DeletePackageAsync(
            DeletePackageRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DeletePackageResponse DeletePackage(
            DeletePackageRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates a [package][google.android.overtheair.v1.Package].
        /// Returns `INVALID_ARGUMENT` if any field other than title is modified.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/packages/package_a"
        /// </param>
        /// <param name="packageObj">
        /// Required. The [Package][google.android.overtheair.v1.Package] to update.
        /// </param>
        /// <param name="versionTag">
        /// Required. The package to be updated should match this version.
        /// If another client updates the existing config concurrently, the
        /// update operation will fail.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Package> UpdatePackageAsync(
            string name,
            Package packageObj,
            VersionTag versionTag,
            CallSettings callSettings = null) => UpdatePackageAsync(
                new UpdatePackageRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    PackageObj = GaxPreconditions.CheckNotNull(packageObj, nameof(packageObj)),
                    VersionTag = GaxPreconditions.CheckNotNull(versionTag, nameof(versionTag)),
                },
                callSettings);

        /// <summary>
        /// Updates a [package][google.android.overtheair.v1.Package].
        /// Returns `INVALID_ARGUMENT` if any field other than title is modified.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/packages/package_a"
        /// </param>
        /// <param name="packageObj">
        /// Required. The [Package][google.android.overtheair.v1.Package] to update.
        /// </param>
        /// <param name="versionTag">
        /// Required. The package to be updated should match this version.
        /// If another client updates the existing config concurrently, the
        /// update operation will fail.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Package> UpdatePackageAsync(
            string name,
            Package packageObj,
            VersionTag versionTag,
            CancellationToken cancellationToken) => UpdatePackageAsync(
                name,
                packageObj,
                versionTag,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Updates a [package][google.android.overtheair.v1.Package].
        /// Returns `INVALID_ARGUMENT` if any field other than title is modified.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/packages/package_a"
        /// </param>
        /// <param name="packageObj">
        /// Required. The [Package][google.android.overtheair.v1.Package] to update.
        /// </param>
        /// <param name="versionTag">
        /// Required. The package to be updated should match this version.
        /// If another client updates the existing config concurrently, the
        /// update operation will fail.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Package UpdatePackage(
            string name,
            Package packageObj,
            VersionTag versionTag,
            CallSettings callSettings = null) => UpdatePackage(
                new UpdatePackageRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    PackageObj = GaxPreconditions.CheckNotNull(packageObj, nameof(packageObj)),
                    VersionTag = GaxPreconditions.CheckNotNull(versionTag, nameof(versionTag)),
                },
                callSettings);

        /// <summary>
        /// Updates a [package][google.android.overtheair.v1.Package].
        /// Returns `INVALID_ARGUMENT` if any field other than title is modified.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Package> UpdatePackageAsync(
            UpdatePackageRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates a [package][google.android.overtheair.v1.Package].
        /// Returns `INVALID_ARGUMENT` if any field other than title is modified.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Package UpdatePackage(
            UpdatePackageRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Creates a config, and returns the new
        /// [Config][google.android.overtheair.v1.Config].
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="config">
        /// Required. The [Config][google.android.overtheair.v1.Config] to create.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Config> CreateConfigAsync(
            string name,
            Config config,
            CallSettings callSettings = null) => CreateConfigAsync(
                new CreateConfigRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Config = GaxPreconditions.CheckNotNull(config, nameof(config)),
                },
                callSettings);

        /// <summary>
        /// Creates a config, and returns the new
        /// [Config][google.android.overtheair.v1.Config].
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="config">
        /// Required. The [Config][google.android.overtheair.v1.Config] to create.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Config> CreateConfigAsync(
            string name,
            Config config,
            CancellationToken cancellationToken) => CreateConfigAsync(
                name,
                config,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Creates a config, and returns the new
        /// [Config][google.android.overtheair.v1.Config].
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="config">
        /// Required. The [Config][google.android.overtheair.v1.Config] to create.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Config CreateConfig(
            string name,
            Config config,
            CallSettings callSettings = null) => CreateConfig(
                new CreateConfigRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Config = GaxPreconditions.CheckNotNull(config, nameof(config)),
                },
                callSettings);

        /// <summary>
        /// Creates a config, and returns the new
        /// [Config][google.android.overtheair.v1.Config].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Config> CreateConfigAsync(
            CreateConfigRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Creates a config, and returns the new
        /// [Config][google.android.overtheair.v1.Config].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Config CreateConfig(
            CreateConfigRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets a [config][google.android.overtheair.v1.Config] view.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_a"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the config
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Config> GetConfigAsync(
            string name,
            View? view,
            CallSettings callSettings = null) => GetConfigAsync(
                new GetConfigRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Gets a [config][google.android.overtheair.v1.Config] view.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_a"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the config
        /// should be returned.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Config> GetConfigAsync(
            string name,
            View? view,
            CancellationToken cancellationToken) => GetConfigAsync(
                name,
                view,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Gets a [config][google.android.overtheair.v1.Config] view.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_a"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the config
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Config GetConfig(
            string name,
            View? view,
            CallSettings callSettings = null) => GetConfig(
                new GetConfigRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Gets a [config][google.android.overtheair.v1.Config] view.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Config> GetConfigAsync(
            GetConfigRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets a [config][google.android.overtheair.v1.Config] view.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Config GetConfig(
            GetConfigRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists [configs][google.android.overtheair.v1.Config] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of each config
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListConfigsResponse> ListConfigsAsync(
            string name,
            View? view,
            CallSettings callSettings = null) => ListConfigsAsync(
                new ListConfigsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Lists [configs][google.android.overtheair.v1.Config] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of each config
        /// should be returned.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListConfigsResponse> ListConfigsAsync(
            string name,
            View? view,
            CancellationToken cancellationToken) => ListConfigsAsync(
                name,
                view,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Lists [configs][google.android.overtheair.v1.Config] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of each config
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListConfigsResponse ListConfigs(
            string name,
            View? view,
            CallSettings callSettings = null) => ListConfigs(
                new ListConfigsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Lists [configs][google.android.overtheair.v1.Config] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListConfigsResponse> ListConfigsAsync(
            ListConfigsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists [configs][google.android.overtheair.v1.Config] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListConfigsResponse ListConfigs(
            ListConfigsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes a [config][google.android.overtheair.v1.Config].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_a"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeleteConfigResponse> DeleteConfigAsync(
            string name,
            CallSettings callSettings = null) => DeleteConfigAsync(
                new DeleteConfigRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Deletes a [config][google.android.overtheair.v1.Config].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_a"
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeleteConfigResponse> DeleteConfigAsync(
            string name,
            CancellationToken cancellationToken) => DeleteConfigAsync(
                name,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Deletes a [config][google.android.overtheair.v1.Config].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_a"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DeleteConfigResponse DeleteConfig(
            string name,
            CallSettings callSettings = null) => DeleteConfig(
                new DeleteConfigRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Deletes a [config][google.android.overtheair.v1.Config].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeleteConfigResponse> DeleteConfigAsync(
            DeleteConfigRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes a [config][google.android.overtheair.v1.Config].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DeleteConfigResponse DeleteConfig(
            DeleteConfigRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates a [config][google.android.overtheair.v1.Config].
        /// Returns `INVALID_ARGUMENT` if the name of the config is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_a"
        /// </param>
        /// <param name="config">
        /// The [Config][google.android.overtheair.v1.Config] to update.
        /// </param>
        /// <param name="versionTag">
        /// Required. The config to be updated should match this version.
        /// If another client updates the existing config concurrently, the
        /// update operation will fail.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Config> UpdateConfigAsync(
            string name,
            Config config,
            VersionTag versionTag,
            CallSettings callSettings = null) => UpdateConfigAsync(
                new UpdateConfigRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Config = GaxPreconditions.CheckNotNull(config, nameof(config)),
                    VersionTag = GaxPreconditions.CheckNotNull(versionTag, nameof(versionTag)),
                },
                callSettings);

        /// <summary>
        /// Updates a [config][google.android.overtheair.v1.Config].
        /// Returns `INVALID_ARGUMENT` if the name of the config is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_a"
        /// </param>
        /// <param name="config">
        /// The [Config][google.android.overtheair.v1.Config] to update.
        /// </param>
        /// <param name="versionTag">
        /// Required. The config to be updated should match this version.
        /// If another client updates the existing config concurrently, the
        /// update operation will fail.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Config> UpdateConfigAsync(
            string name,
            Config config,
            VersionTag versionTag,
            CancellationToken cancellationToken) => UpdateConfigAsync(
                name,
                config,
                versionTag,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Updates a [config][google.android.overtheair.v1.Config].
        /// Returns `INVALID_ARGUMENT` if the name of the config is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_a"
        /// </param>
        /// <param name="config">
        /// The [Config][google.android.overtheair.v1.Config] to update.
        /// </param>
        /// <param name="versionTag">
        /// Required. The config to be updated should match this version.
        /// If another client updates the existing config concurrently, the
        /// update operation will fail.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Config UpdateConfig(
            string name,
            Config config,
            VersionTag versionTag,
            CallSettings callSettings = null) => UpdateConfig(
                new UpdateConfigRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Config = GaxPreconditions.CheckNotNull(config, nameof(config)),
                    VersionTag = GaxPreconditions.CheckNotNull(versionTag, nameof(versionTag)),
                },
                callSettings);

        /// <summary>
        /// Updates a [config][google.android.overtheair.v1.Config].
        /// Returns `INVALID_ARGUMENT` if the name of the config is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Config> UpdateConfigAsync(
            UpdateConfigRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates a [config][google.android.overtheair.v1.Config].
        /// Returns `INVALID_ARGUMENT` if the name of the config is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Config UpdateConfig(
            UpdateConfigRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Creates a group, and returns the new
        /// [Group][google.android.overtheair.v1.Group].
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="group">
        /// Required. The [Group][google.android.overtheair.v1.Group] to create.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Group> CreateGroupAsync(
            string name,
            Group group,
            CallSettings callSettings = null) => CreateGroupAsync(
                new CreateGroupRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Group = GaxPreconditions.CheckNotNull(group, nameof(group)),
                },
                callSettings);

        /// <summary>
        /// Creates a group, and returns the new
        /// [Group][google.android.overtheair.v1.Group].
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="group">
        /// Required. The [Group][google.android.overtheair.v1.Group] to create.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Group> CreateGroupAsync(
            string name,
            Group group,
            CancellationToken cancellationToken) => CreateGroupAsync(
                name,
                group,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Creates a group, and returns the new
        /// [Group][google.android.overtheair.v1.Group].
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x"
        /// </param>
        /// <param name="group">
        /// Required. The [Group][google.android.overtheair.v1.Group] to create.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Group CreateGroup(
            string name,
            Group group,
            CallSettings callSettings = null) => CreateGroup(
                new CreateGroupRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Group = GaxPreconditions.CheckNotNull(group, nameof(group)),
                },
                callSettings);

        /// <summary>
        /// Creates a group, and returns the new
        /// [Group][google.android.overtheair.v1.Group].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Group> CreateGroupAsync(
            CreateGroupRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Creates a group, and returns the new
        /// [Group][google.android.overtheair.v1.Group].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Group CreateGroup(
            CreateGroupRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the group
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Group> GetGroupAsync(
            string name,
            View? view,
            CallSettings callSettings = null) => GetGroupAsync(
                new GetGroupRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Gets a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the group
        /// should be returned.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Group> GetGroupAsync(
            string name,
            View? view,
            CancellationToken cancellationToken) => GetGroupAsync(
                name,
                view,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Gets a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the group
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Group GetGroup(
            string name,
            View? view,
            CallSettings callSettings = null) => GetGroup(
                new GetGroupRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Gets a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Group> GetGroupAsync(
            GetGroupRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Group GetGroup(
            GetGroupRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists [groups][google.android.overtheair.v1.Group] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of each group
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListGroupsResponse> ListGroupsAsync(
            string name,
            View? view,
            CallSettings callSettings = null) => ListGroupsAsync(
                new ListGroupsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Lists [groups][google.android.overtheair.v1.Group] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of each group
        /// should be returned.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListGroupsResponse> ListGroupsAsync(
            string name,
            View? view,
            CancellationToken cancellationToken) => ListGroupsAsync(
                name,
                view,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Lists [groups][google.android.overtheair.v1.Group] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of each group
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListGroupsResponse ListGroups(
            string name,
            View? view,
            CallSettings callSettings = null) => ListGroups(
                new ListGroupsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Lists [groups][google.android.overtheair.v1.Group] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListGroupsResponse> ListGroupsAsync(
            ListGroupsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists [groups][google.android.overtheair.v1.Group] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListGroupsResponse ListGroups(
            ListGroupsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeleteGroupResponse> DeleteGroupAsync(
            string name,
            CallSettings callSettings = null) => DeleteGroupAsync(
                new DeleteGroupRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Deletes a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeleteGroupResponse> DeleteGroupAsync(
            string name,
            CancellationToken cancellationToken) => DeleteGroupAsync(
                name,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Deletes a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DeleteGroupResponse DeleteGroup(
            string name,
            CallSettings callSettings = null) => DeleteGroup(
                new DeleteGroupRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Deletes a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeleteGroupResponse> DeleteGroupAsync(
            DeleteGroupRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DeleteGroupResponse DeleteGroup(
            DeleteGroupRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates a [group][google.android.overtheair.v1.Group].
        /// Returns INVALID_ARGUMENT if the name of the group is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="group">
        /// Required. The [Group][google.android.overtheair.v1.Group] to update.
        /// </param>
        /// <param name="versionTag">
        /// Required. The group to be updated should match this version.
        /// If another client updates the existing config concurrently, the
        /// update operation will fail.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Group> UpdateGroupAsync(
            string name,
            Group group,
            VersionTag versionTag,
            CallSettings callSettings = null) => UpdateGroupAsync(
                new UpdateGroupRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Group = GaxPreconditions.CheckNotNull(group, nameof(group)),
                    VersionTag = GaxPreconditions.CheckNotNull(versionTag, nameof(versionTag)),
                },
                callSettings);

        /// <summary>
        /// Updates a [group][google.android.overtheair.v1.Group].
        /// Returns INVALID_ARGUMENT if the name of the group is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="group">
        /// Required. The [Group][google.android.overtheair.v1.Group] to update.
        /// </param>
        /// <param name="versionTag">
        /// Required. The group to be updated should match this version.
        /// If another client updates the existing config concurrently, the
        /// update operation will fail.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Group> UpdateGroupAsync(
            string name,
            Group group,
            VersionTag versionTag,
            CancellationToken cancellationToken) => UpdateGroupAsync(
                name,
                group,
                versionTag,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Updates a [group][google.android.overtheair.v1.Group].
        /// Returns INVALID_ARGUMENT if the name of the group is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="group">
        /// Required. The [Group][google.android.overtheair.v1.Group] to update.
        /// </param>
        /// <param name="versionTag">
        /// Required. The group to be updated should match this version.
        /// If another client updates the existing config concurrently, the
        /// update operation will fail.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Group UpdateGroup(
            string name,
            Group group,
            VersionTag versionTag,
            CallSettings callSettings = null) => UpdateGroup(
                new UpdateGroupRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Group = GaxPreconditions.CheckNotNull(group, nameof(group)),
                    VersionTag = GaxPreconditions.CheckNotNull(versionTag, nameof(versionTag)),
                },
                callSettings);

        /// <summary>
        /// Updates a [group][google.android.overtheair.v1.Group].
        /// Returns INVALID_ARGUMENT if the name of the group is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Group> UpdateGroupAsync(
            UpdateGroupRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates a [group][google.android.overtheair.v1.Group].
        /// Returns INVALID_ARGUMENT if the name of the group is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Group UpdateGroup(
            UpdateGroupRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Disables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x/groups"
        /// </param>
        /// <param name="groupNames">
        /// Required. The groups that should be disabled.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DisableGroupsResponse> DisableGroupsAsync(
            string name,
            IEnumerable<string> groupNames,
            CallSettings callSettings = null) => DisableGroupsAsync(
                new DisableGroupsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    GroupNames = { GaxPreconditions.CheckNotNull(groupNames, nameof(groupNames)) },
                },
                callSettings);

        /// <summary>
        /// Disables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x/groups"
        /// </param>
        /// <param name="groupNames">
        /// Required. The groups that should be disabled.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DisableGroupsResponse> DisableGroupsAsync(
            string name,
            IEnumerable<string> groupNames,
            CancellationToken cancellationToken) => DisableGroupsAsync(
                name,
                groupNames,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Disables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x/groups"
        /// </param>
        /// <param name="groupNames">
        /// Required. The groups that should be disabled.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DisableGroupsResponse DisableGroups(
            string name,
            IEnumerable<string> groupNames,
            CallSettings callSettings = null) => DisableGroups(
                new DisableGroupsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    GroupNames = { GaxPreconditions.CheckNotNull(groupNames, nameof(groupNames)) },
                },
                callSettings);

        /// <summary>
        /// Disables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DisableGroupsResponse> DisableGroupsAsync(
            DisableGroupsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Disables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DisableGroupsResponse DisableGroups(
            DisableGroupsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Enables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x/groups"
        /// </param>
        /// <param name="groupNames">
        /// Required. The groups should be enabled.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<EnableGroupsResponse> EnableGroupsAsync(
            string name,
            IEnumerable<string> groupNames,
            CallSettings callSettings = null) => EnableGroupsAsync(
                new EnableGroupsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    GroupNames = { GaxPreconditions.CheckNotNull(groupNames, nameof(groupNames)) },
                },
                callSettings);

        /// <summary>
        /// Enables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x/groups"
        /// </param>
        /// <param name="groupNames">
        /// Required. The groups should be enabled.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<EnableGroupsResponse> EnableGroupsAsync(
            string name,
            IEnumerable<string> groupNames,
            CancellationToken cancellationToken) => EnableGroupsAsync(
                name,
                groupNames,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Enables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example: "deployments/deployment_x/groups"
        /// </param>
        /// <param name="groupNames">
        /// Required. The groups should be enabled.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual EnableGroupsResponse EnableGroups(
            string name,
            IEnumerable<string> groupNames,
            CallSettings callSettings = null) => EnableGroups(
                new EnableGroupsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    GroupNames = { GaxPreconditions.CheckNotNull(groupNames, nameof(groupNames)) },
                },
                callSettings);

        /// <summary>
        /// Enables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<EnableGroupsResponse> EnableGroupsAsync(
            EnableGroupsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Enables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual EnableGroupsResponse EnableGroups(
            EnableGroupsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Creates a group member and returns the new
        /// [GroupMember][google.android.overtheair.v1.GroupMember]. If the device is
        /// already under other groups, it will be removed from those groups and added
        /// to the group that's specified in the request.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g/members"
        /// </param>
        /// <param name="groupMember">
        /// Required. The [group member][google.android.overtheair.v1.GroupMember] to
        /// create.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<GroupMember> CreateGroupMemberAsync(
            string name,
            GroupMember groupMember,
            CallSettings callSettings = null) => CreateGroupMemberAsync(
                new CreateGroupMemberRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    GroupMember = GaxPreconditions.CheckNotNull(groupMember, nameof(groupMember)),
                },
                callSettings);

        /// <summary>
        /// Creates a group member and returns the new
        /// [GroupMember][google.android.overtheair.v1.GroupMember]. If the device is
        /// already under other groups, it will be removed from those groups and added
        /// to the group that's specified in the request.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g/members"
        /// </param>
        /// <param name="groupMember">
        /// Required. The [group member][google.android.overtheair.v1.GroupMember] to
        /// create.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<GroupMember> CreateGroupMemberAsync(
            string name,
            GroupMember groupMember,
            CancellationToken cancellationToken) => CreateGroupMemberAsync(
                name,
                groupMember,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Creates a group member and returns the new
        /// [GroupMember][google.android.overtheair.v1.GroupMember]. If the device is
        /// already under other groups, it will be removed from those groups and added
        /// to the group that's specified in the request.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g/members"
        /// </param>
        /// <param name="groupMember">
        /// Required. The [group member][google.android.overtheair.v1.GroupMember] to
        /// create.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual GroupMember CreateGroupMember(
            string name,
            GroupMember groupMember,
            CallSettings callSettings = null) => CreateGroupMember(
                new CreateGroupMemberRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    GroupMember = GaxPreconditions.CheckNotNull(groupMember, nameof(groupMember)),
                },
                callSettings);

        /// <summary>
        /// Creates a group member and returns the new
        /// [GroupMember][google.android.overtheair.v1.GroupMember]. If the device is
        /// already under other groups, it will be removed from those groups and added
        /// to the group that's specified in the request.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<GroupMember> CreateGroupMemberAsync(
            CreateGroupMemberRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Creates a group member and returns the new
        /// [GroupMember][google.android.overtheair.v1.GroupMember]. If the device is
        /// already under other groups, it will be removed from those groups and added
        /// to the group that's specified in the request.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual GroupMember CreateGroupMember(
            CreateGroupMemberRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Creates group members in a specific group.  If any device is in other
        /// groups, it will be removed from those groups and added to the group that's
        /// specified in the request.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g/members"
        /// </param>
        /// <param name="groupMembers">
        /// Required. The list of
        /// [group member][google.android.overtheair.v1.GroupMember]s to create.
        /// This list is currently limited to no more than 1,000 members.  If you
        /// need to create more than that, please send multiple requests.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<CreateGroupMembersResponse> CreateGroupMembersAsync(
            string name,
            IEnumerable<GroupMember> groupMembers,
            CallSettings callSettings = null) => CreateGroupMembersAsync(
                new CreateGroupMembersRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    GroupMembers = { GaxPreconditions.CheckNotNull(groupMembers, nameof(groupMembers)) },
                },
                callSettings);

        /// <summary>
        /// Creates group members in a specific group.  If any device is in other
        /// groups, it will be removed from those groups and added to the group that's
        /// specified in the request.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g/members"
        /// </param>
        /// <param name="groupMembers">
        /// Required. The list of
        /// [group member][google.android.overtheair.v1.GroupMember]s to create.
        /// This list is currently limited to no more than 1,000 members.  If you
        /// need to create more than that, please send multiple requests.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<CreateGroupMembersResponse> CreateGroupMembersAsync(
            string name,
            IEnumerable<GroupMember> groupMembers,
            CancellationToken cancellationToken) => CreateGroupMembersAsync(
                name,
                groupMembers,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Creates group members in a specific group.  If any device is in other
        /// groups, it will be removed from those groups and added to the group that's
        /// specified in the request.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g/members"
        /// </param>
        /// <param name="groupMembers">
        /// Required. The list of
        /// [group member][google.android.overtheair.v1.GroupMember]s to create.
        /// This list is currently limited to no more than 1,000 members.  If you
        /// need to create more than that, please send multiple requests.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual CreateGroupMembersResponse CreateGroupMembers(
            string name,
            IEnumerable<GroupMember> groupMembers,
            CallSettings callSettings = null) => CreateGroupMembers(
                new CreateGroupMembersRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    GroupMembers = { GaxPreconditions.CheckNotNull(groupMembers, nameof(groupMembers)) },
                },
                callSettings);

        /// <summary>
        /// Creates group members in a specific group.  If any device is in other
        /// groups, it will be removed from those groups and added to the group that's
        /// specified in the request.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<CreateGroupMembersResponse> CreateGroupMembersAsync(
            CreateGroupMembersRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Creates group members in a specific group.  If any device is in other
        /// groups, it will be removed from those groups and added to the group that's
        /// specified in the request.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual CreateGroupMembersResponse CreateGroupMembers(
            CreateGroupMembersRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example:
        /// "deployments/deployment_x/groups/group_g/members/member_m"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the group member
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<GroupMember> GetGroupMemberAsync(
            string name,
            View? view,
            CallSettings callSettings = null) => GetGroupMemberAsync(
                new GetGroupMemberRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Gets a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example:
        /// "deployments/deployment_x/groups/group_g/members/member_m"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the group member
        /// should be returned.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<GroupMember> GetGroupMemberAsync(
            string name,
            View? view,
            CancellationToken cancellationToken) => GetGroupMemberAsync(
                name,
                view,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Gets a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example:
        /// "deployments/deployment_x/groups/group_g/members/member_m"
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the group member
        /// should be returned.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual GroupMember GetGroupMember(
            string name,
            View? view,
            CallSettings callSettings = null) => GetGroupMember(
                new GetGroupMemberRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Gets a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<GroupMember> GetGroupMemberAsync(
            GetGroupMemberRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual GroupMember GetGroupMember(
            GetGroupMemberRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists [group members][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g/members"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListGroupMembersResponse> ListGroupMembersAsync(
            string name,
            CallSettings callSettings = null) => ListGroupMembersAsync(
                new ListGroupMembersRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Lists [group members][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g/members"
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListGroupMembersResponse> ListGroupMembersAsync(
            string name,
            CancellationToken cancellationToken) => ListGroupMembersAsync(
                name,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Lists [group members][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g/members"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListGroupMembersResponse ListGroupMembers(
            string name,
            CallSettings callSettings = null) => ListGroupMembers(
                new ListGroupMembersRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Lists [group members][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListGroupMembersResponse> ListGroupMembersAsync(
            ListGroupMembersRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists [group members][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListGroupMembersResponse ListGroupMembers(
            ListGroupMembersRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example:
        /// "deployments/deployment_x/groups/group_g/members/member_m"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeleteGroupMemberResponse> DeleteGroupMemberAsync(
            string name,
            CallSettings callSettings = null) => DeleteGroupMemberAsync(
                new DeleteGroupMemberRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Deletes a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example:
        /// "deployments/deployment_x/groups/group_g/members/member_m"
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeleteGroupMemberResponse> DeleteGroupMemberAsync(
            string name,
            CancellationToken cancellationToken) => DeleteGroupMemberAsync(
                name,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Deletes a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example:
        /// "deployments/deployment_x/groups/group_g/members/member_m"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DeleteGroupMemberResponse DeleteGroupMember(
            string name,
            CallSettings callSettings = null) => DeleteGroupMember(
                new DeleteGroupMemberRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Deletes a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeleteGroupMemberResponse> DeleteGroupMemberAsync(
            DeleteGroupMemberRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DeleteGroupMemberResponse DeleteGroupMember(
            DeleteGroupMemberRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes group members in a group.  If any member does not it exist, it
        /// will be ignored.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example:
        /// "deployments/deployment_x/groups/group_g/members"
        /// </param>
        /// <param name="groupMembers">
        /// Required. The list of
        /// [group member][google.android.overtheair.v1.GroupMember] to delete.
        /// This list is currently limited to no more than 1,000 members.  If you
        /// need to delete more than that, please send multiple requests.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeleteGroupMembersResponse> DeleteGroupMembersAsync(
            string name,
            IEnumerable<GroupMember> groupMembers,
            CallSettings callSettings = null) => DeleteGroupMembersAsync(
                new DeleteGroupMembersRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    GroupMembers = { GaxPreconditions.CheckNotNull(groupMembers, nameof(groupMembers)) },
                },
                callSettings);

        /// <summary>
        /// Deletes group members in a group.  If any member does not it exist, it
        /// will be ignored.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example:
        /// "deployments/deployment_x/groups/group_g/members"
        /// </param>
        /// <param name="groupMembers">
        /// Required. The list of
        /// [group member][google.android.overtheair.v1.GroupMember] to delete.
        /// This list is currently limited to no more than 1,000 members.  If you
        /// need to delete more than that, please send multiple requests.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeleteGroupMembersResponse> DeleteGroupMembersAsync(
            string name,
            IEnumerable<GroupMember> groupMembers,
            CancellationToken cancellationToken) => DeleteGroupMembersAsync(
                name,
                groupMembers,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Deletes group members in a group.  If any member does not it exist, it
        /// will be ignored.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example:
        /// "deployments/deployment_x/groups/group_g/members"
        /// </param>
        /// <param name="groupMembers">
        /// Required. The list of
        /// [group member][google.android.overtheair.v1.GroupMember] to delete.
        /// This list is currently limited to no more than 1,000 members.  If you
        /// need to delete more than that, please send multiple requests.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DeleteGroupMembersResponse DeleteGroupMembers(
            string name,
            IEnumerable<GroupMember> groupMembers,
            CallSettings callSettings = null) => DeleteGroupMembers(
                new DeleteGroupMembersRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    GroupMembers = { GaxPreconditions.CheckNotNull(groupMembers, nameof(groupMembers)) },
                },
                callSettings);

        /// <summary>
        /// Deletes group members in a group.  If any member does not it exist, it
        /// will be ignored.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DeleteGroupMembersResponse> DeleteGroupMembersAsync(
            DeleteGroupMembersRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes group members in a group.  If any member does not it exist, it
        /// will be ignored.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DeleteGroupMembersResponse DeleteGroupMembers(
            DeleteGroupMembersRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets a [group chart][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example:
        /// "deployments/deployment_x/groups/group_g/charts/chart_c"
        /// </param>
        /// <param name="options">
        /// Optional. Chart Options.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Chart> GetGroupChartAsync(
            string name,
            ChartOptions options,
            CallSettings callSettings = null) => GetGroupChartAsync(
                new GetGroupChartRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Options = options, // Optional
                },
                callSettings);

        /// <summary>
        /// Gets a [group chart][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example:
        /// "deployments/deployment_x/groups/group_g/charts/chart_c"
        /// </param>
        /// <param name="options">
        /// Optional. Chart Options.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Chart> GetGroupChartAsync(
            string name,
            ChartOptions options,
            CancellationToken cancellationToken) => GetGroupChartAsync(
                name,
                options,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Gets a [group chart][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.  For example:
        /// "deployments/deployment_x/groups/group_g/charts/chart_c"
        /// </param>
        /// <param name="options">
        /// Optional. Chart Options.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Chart GetGroupChart(
            string name,
            ChartOptions options,
            CallSettings callSettings = null) => GetGroupChart(
                new GetGroupChartRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Options = options, // Optional
                },
                callSettings);

        /// <summary>
        /// Gets a [group chart][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<Chart> GetGroupChartAsync(
            GetGroupChartRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets a [group chart][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual Chart GetGroupChart(
            GetGroupChartRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists [group charts][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="options">
        /// Optional. Chart Options.
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the group chart
        /// should be returned.  Basic data only includes chart names.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListGroupChartsResponse> ListGroupChartsAsync(
            string name,
            ChartOptions options,
            View? view,
            CallSettings callSettings = null) => ListGroupChartsAsync(
                new ListGroupChartsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Options = options, // Optional
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Lists [group charts][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="options">
        /// Optional. Chart Options.
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the group chart
        /// should be returned.  Basic data only includes chart names.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListGroupChartsResponse> ListGroupChartsAsync(
            string name,
            ChartOptions options,
            View? view,
            CancellationToken cancellationToken) => ListGroupChartsAsync(
                name,
                options,
                view,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Lists [group charts][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="options">
        /// Optional. Chart Options.
        /// </param>
        /// <param name="view">
        /// Optional. Specify whether basic or detailed information of the group chart
        /// should be returned.  Basic data only includes chart names.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListGroupChartsResponse ListGroupCharts(
            string name,
            ChartOptions options,
            View? view,
            CallSettings callSettings = null) => ListGroupCharts(
                new ListGroupChartsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    Options = options, // Optional
                    View = view ?? View.Basic, // Optional
                },
                callSettings);

        /// <summary>
        /// Lists [group charts][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListGroupChartsResponse> ListGroupChartsAsync(
            ListGroupChartsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists [group charts][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListGroupChartsResponse ListGroupCharts(
            ListGroupChartsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists configs of the group. Returns `NOT_FOUND` if the matching path
        /// does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListGroupConfigsResponse> ListGroupConfigsAsync(
            string name,
            CallSettings callSettings = null) => ListGroupConfigsAsync(
                new ListGroupConfigsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Lists configs of the group. Returns `NOT_FOUND` if the matching path
        /// does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListGroupConfigsResponse> ListGroupConfigsAsync(
            string name,
            CancellationToken cancellationToken) => ListGroupConfigsAsync(
                name,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Lists configs of the group. Returns `NOT_FOUND` if the matching path
        /// does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListGroupConfigsResponse ListGroupConfigs(
            string name,
            CallSettings callSettings = null) => ListGroupConfigs(
                new ListGroupConfigsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Lists configs of the group. Returns `NOT_FOUND` if the matching path
        /// does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListGroupConfigsResponse> ListGroupConfigsAsync(
            ListGroupConfigsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists configs of the group. Returns `NOT_FOUND` if the matching path
        /// does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListGroupConfigsResponse ListGroupConfigs(
            ListGroupConfigsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Update the configs under a group. Returns `NOT_FOUND` if the matching group
        /// or config does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="configNames">
        /// Required. The names of the configs under the group.
        /// Important: the order of configs is important. If a device matches
        /// multiple sets of packages across configs, the last matching config wins
        /// and will be used.
        /// </param>
        /// <param name="versionTag">
        /// Required. The group to be updated should match this version.
        /// If another client updates the existing group concurrently, the
        /// update operation will fail.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<UpdateGroupConfigsResponse> UpdateGroupConfigsAsync(
            string name,
            IEnumerable<string> configNames,
            VersionTag versionTag,
            CallSettings callSettings = null) => UpdateGroupConfigsAsync(
                new UpdateGroupConfigsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    ConfigNames = { GaxPreconditions.CheckNotNull(configNames, nameof(configNames)) },
                    VersionTag = GaxPreconditions.CheckNotNull(versionTag, nameof(versionTag)),
                },
                callSettings);

        /// <summary>
        /// Update the configs under a group. Returns `NOT_FOUND` if the matching group
        /// or config does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="configNames">
        /// Required. The names of the configs under the group.
        /// Important: the order of configs is important. If a device matches
        /// multiple sets of packages across configs, the last matching config wins
        /// and will be used.
        /// </param>
        /// <param name="versionTag">
        /// Required. The group to be updated should match this version.
        /// If another client updates the existing group concurrently, the
        /// update operation will fail.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<UpdateGroupConfigsResponse> UpdateGroupConfigsAsync(
            string name,
            IEnumerable<string> configNames,
            VersionTag versionTag,
            CancellationToken cancellationToken) => UpdateGroupConfigsAsync(
                name,
                configNames,
                versionTag,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Update the configs under a group. Returns `NOT_FOUND` if the matching group
        /// or config does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/groups/group_g"
        /// </param>
        /// <param name="configNames">
        /// Required. The names of the configs under the group.
        /// Important: the order of configs is important. If a device matches
        /// multiple sets of packages across configs, the last matching config wins
        /// and will be used.
        /// </param>
        /// <param name="versionTag">
        /// Required. The group to be updated should match this version.
        /// If another client updates the existing group concurrently, the
        /// update operation will fail.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual UpdateGroupConfigsResponse UpdateGroupConfigs(
            string name,
            IEnumerable<string> configNames,
            VersionTag versionTag,
            CallSettings callSettings = null) => UpdateGroupConfigs(
                new UpdateGroupConfigsRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    ConfigNames = { GaxPreconditions.CheckNotNull(configNames, nameof(configNames)) },
                    VersionTag = GaxPreconditions.CheckNotNull(versionTag, nameof(versionTag)),
                },
                callSettings);

        /// <summary>
        /// Update the configs under a group. Returns `NOT_FOUND` if the matching group
        /// or config does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<UpdateGroupConfigsResponse> UpdateGroupConfigsAsync(
            UpdateGroupConfigsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Update the configs under a group. Returns `NOT_FOUND` if the matching group
        /// or config does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual UpdateGroupConfigsResponse UpdateGroupConfigs(
            UpdateGroupConfigsRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Disables all enabled groups that have the specified config.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_c"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DisableAllEnabledGroupsOfConfigResponse> DisableAllEnabledGroupsOfConfigAsync(
            string name,
            CallSettings callSettings = null) => DisableAllEnabledGroupsOfConfigAsync(
                new DisableAllEnabledGroupsOfConfigRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Disables all enabled groups that have the specified config.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_c"
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DisableAllEnabledGroupsOfConfigResponse> DisableAllEnabledGroupsOfConfigAsync(
            string name,
            CancellationToken cancellationToken) => DisableAllEnabledGroupsOfConfigAsync(
                name,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Disables all enabled groups that have the specified config.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_c"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DisableAllEnabledGroupsOfConfigResponse DisableAllEnabledGroupsOfConfig(
            string name,
            CallSettings callSettings = null) => DisableAllEnabledGroupsOfConfig(
                new DisableAllEnabledGroupsOfConfigRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Disables all enabled groups that have the specified config.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<DisableAllEnabledGroupsOfConfigResponse> DisableAllEnabledGroupsOfConfigAsync(
            DisableAllEnabledGroupsOfConfigRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Disables all enabled groups that have the specified config.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual DisableAllEnabledGroupsOfConfigResponse DisableAllEnabledGroupsOfConfig(
            DisableAllEnabledGroupsOfConfigRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists packages of the config. Returns `NOT_FOUND` if the matching path does
        /// not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_c"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListConfigPackagesResponse> ListConfigPackagesAsync(
            string name,
            CallSettings callSettings = null) => ListConfigPackagesAsync(
                new ListConfigPackagesRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Lists packages of the config. Returns `NOT_FOUND` if the matching path does
        /// not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_c"
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListConfigPackagesResponse> ListConfigPackagesAsync(
            string name,
            CancellationToken cancellationToken) => ListConfigPackagesAsync(
                name,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Lists packages of the config. Returns `NOT_FOUND` if the matching path does
        /// not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_c"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListConfigPackagesResponse ListConfigPackages(
            string name,
            CallSettings callSettings = null) => ListConfigPackages(
                new ListConfigPackagesRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Lists packages of the config. Returns `NOT_FOUND` if the matching path does
        /// not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListConfigPackagesResponse> ListConfigPackagesAsync(
            ListConfigPackagesRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists packages of the config. Returns `NOT_FOUND` if the matching path does
        /// not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListConfigPackagesResponse ListConfigPackages(
            ListConfigPackagesRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Update the packages under the config. Returns `NOT_FOUND` if the matching
        /// path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_c"
        /// </param>
        /// <param name="packageConfigs">
        /// Required. The names of the packages under the config.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<UpdateConfigPackagesResponse> UpdateConfigPackagesAsync(
            string name,
            IEnumerable<PackageConfig> packageConfigs,
            CallSettings callSettings = null) => UpdateConfigPackagesAsync(
                new UpdateConfigPackagesRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    PackageConfigs = { GaxPreconditions.CheckNotNull(packageConfigs, nameof(packageConfigs)) },
                },
                callSettings);

        /// <summary>
        /// Update the packages under the config. Returns `NOT_FOUND` if the matching
        /// path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_c"
        /// </param>
        /// <param name="packageConfigs">
        /// Required. The names of the packages under the config.
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<UpdateConfigPackagesResponse> UpdateConfigPackagesAsync(
            string name,
            IEnumerable<PackageConfig> packageConfigs,
            CancellationToken cancellationToken) => UpdateConfigPackagesAsync(
                name,
                packageConfigs,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Update the packages under the config. Returns `NOT_FOUND` if the matching
        /// path does not exist.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/configs/config_c"
        /// </param>
        /// <param name="packageConfigs">
        /// Required. The names of the packages under the config.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual UpdateConfigPackagesResponse UpdateConfigPackages(
            string name,
            IEnumerable<PackageConfig> packageConfigs,
            CallSettings callSettings = null) => UpdateConfigPackages(
                new UpdateConfigPackagesRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                    PackageConfigs = { GaxPreconditions.CheckNotNull(packageConfigs, nameof(packageConfigs)) },
                },
                callSettings);

        /// <summary>
        /// Update the packages under the config. Returns `NOT_FOUND` if the matching
        /// path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<UpdateConfigPackagesResponse> UpdateConfigPackagesAsync(
            UpdateConfigPackagesRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Update the packages under the config. Returns `NOT_FOUND` if the matching
        /// path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual UpdateConfigPackagesResponse UpdateConfigPackages(
            UpdateConfigPackagesRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists all the configs that use the specified package.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/packages/package_a"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListConfigsUsingPackageResponse> ListConfigsUsingPackageAsync(
            string name,
            CallSettings callSettings = null) => ListConfigsUsingPackageAsync(
                new ListConfigsUsingPackageRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Lists all the configs that use the specified package.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/packages/package_a"
        /// </param>
        /// <param name="cancellationToken">
        /// A <see cref="CancellationToken"/> to use for this RPC.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListConfigsUsingPackageResponse> ListConfigsUsingPackageAsync(
            string name,
            CancellationToken cancellationToken) => ListConfigsUsingPackageAsync(
                name,
                CallSettings.FromCancellationToken(cancellationToken));

        /// <summary>
        /// Lists all the configs that use the specified package.
        /// </summary>
        /// <param name="name">
        /// Relative resource name.
        /// For example: "deployments/deployment_x/packages/package_a"
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListConfigsUsingPackageResponse ListConfigsUsingPackage(
            string name,
            CallSettings callSettings = null) => ListConfigsUsingPackage(
                new ListConfigsUsingPackageRequest
                {
                    Name = GaxPreconditions.CheckNotNullOrEmpty(name, nameof(name)),
                },
                callSettings);

        /// <summary>
        /// Lists all the configs that use the specified package.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public virtual Task<ListConfigsUsingPackageResponse> ListConfigsUsingPackageAsync(
            ListConfigsUsingPackageRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Lists all the configs that use the specified package.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public virtual ListConfigsUsingPackageResponse ListConfigsUsingPackage(
            ListConfigsUsingPackageRequest request,
            CallSettings callSettings = null)
        {
            throw new NotImplementedException();
        }

    }

    /// <summary>
    /// OverTheAirService client wrapper implementation, for convenient use.
    /// </summary>
    public sealed partial class OverTheAirServiceClientImpl : OverTheAirServiceClient
    {
        private readonly ApiCall<GetDeploymentRequest, Deployment> _callGetDeployment;
        private readonly ApiCall<ListDeploymentsRequest, ListDeploymentsResponse> _callListDeployments;
        private readonly ApiCall<UpdateDeploymentRequest, Deployment> _callUpdateDeployment;
        private readonly ApiCall<GetPackageRequest, Package> _callGetPackage;
        private readonly ApiCall<ListPackagesRequest, ListPackagesResponse> _callListPackages;
        private readonly ApiCall<DeletePackageRequest, DeletePackageResponse> _callDeletePackage;
        private readonly ApiCall<UpdatePackageRequest, Package> _callUpdatePackage;
        private readonly ApiCall<CreateConfigRequest, Config> _callCreateConfig;
        private readonly ApiCall<GetConfigRequest, Config> _callGetConfig;
        private readonly ApiCall<ListConfigsRequest, ListConfigsResponse> _callListConfigs;
        private readonly ApiCall<DeleteConfigRequest, DeleteConfigResponse> _callDeleteConfig;
        private readonly ApiCall<UpdateConfigRequest, Config> _callUpdateConfig;
        private readonly ApiCall<CreateGroupRequest, Group> _callCreateGroup;
        private readonly ApiCall<GetGroupRequest, Group> _callGetGroup;
        private readonly ApiCall<ListGroupsRequest, ListGroupsResponse> _callListGroups;
        private readonly ApiCall<DeleteGroupRequest, DeleteGroupResponse> _callDeleteGroup;
        private readonly ApiCall<UpdateGroupRequest, Group> _callUpdateGroup;
        private readonly ApiCall<DisableGroupsRequest, DisableGroupsResponse> _callDisableGroups;
        private readonly ApiCall<EnableGroupsRequest, EnableGroupsResponse> _callEnableGroups;
        private readonly ApiCall<CreateGroupMemberRequest, GroupMember> _callCreateGroupMember;
        private readonly ApiCall<CreateGroupMembersRequest, CreateGroupMembersResponse> _callCreateGroupMembers;
        private readonly ApiCall<GetGroupMemberRequest, GroupMember> _callGetGroupMember;
        private readonly ApiCall<ListGroupMembersRequest, ListGroupMembersResponse> _callListGroupMembers;
        private readonly ApiCall<DeleteGroupMemberRequest, DeleteGroupMemberResponse> _callDeleteGroupMember;
        private readonly ApiCall<DeleteGroupMembersRequest, DeleteGroupMembersResponse> _callDeleteGroupMembers;
        private readonly ApiCall<GetGroupChartRequest, Chart> _callGetGroupChart;
        private readonly ApiCall<ListGroupChartsRequest, ListGroupChartsResponse> _callListGroupCharts;
        private readonly ApiCall<ListGroupConfigsRequest, ListGroupConfigsResponse> _callListGroupConfigs;
        private readonly ApiCall<UpdateGroupConfigsRequest, UpdateGroupConfigsResponse> _callUpdateGroupConfigs;
        private readonly ApiCall<DisableAllEnabledGroupsOfConfigRequest, DisableAllEnabledGroupsOfConfigResponse> _callDisableAllEnabledGroupsOfConfig;
        private readonly ApiCall<ListConfigPackagesRequest, ListConfigPackagesResponse> _callListConfigPackages;
        private readonly ApiCall<UpdateConfigPackagesRequest, UpdateConfigPackagesResponse> _callUpdateConfigPackages;
        private readonly ApiCall<ListConfigsUsingPackageRequest, ListConfigsUsingPackageResponse> _callListConfigsUsingPackage;

        /// <summary>
        /// Constructs a client wrapper for the OverTheAirService service, with the specified gRPC client and settings.
        /// </summary>
        /// <param name="grpcClient">The underlying gRPC client.</param>
        /// <param name="settings">The base <see cref="OverTheAirServiceSettings"/> used within this client </param>
        public OverTheAirServiceClientImpl(OverTheAirService.OverTheAirServiceClient grpcClient, OverTheAirServiceSettings settings)
        {
            GrpcClient = grpcClient;
            OverTheAirServiceSettings effectiveSettings = settings ?? OverTheAirServiceSettings.GetDefault();
            ClientHelper clientHelper = new ClientHelper(effectiveSettings);
            _callGetDeployment = clientHelper.BuildApiCall<GetDeploymentRequest, Deployment>(
                GrpcClient.GetDeploymentAsync, GrpcClient.GetDeployment, effectiveSettings.GetDeploymentSettings);
            _callListDeployments = clientHelper.BuildApiCall<ListDeploymentsRequest, ListDeploymentsResponse>(
                GrpcClient.ListDeploymentsAsync, GrpcClient.ListDeployments, effectiveSettings.ListDeploymentsSettings);
            _callUpdateDeployment = clientHelper.BuildApiCall<UpdateDeploymentRequest, Deployment>(
                GrpcClient.UpdateDeploymentAsync, GrpcClient.UpdateDeployment, effectiveSettings.UpdateDeploymentSettings);
            _callGetPackage = clientHelper.BuildApiCall<GetPackageRequest, Package>(
                GrpcClient.GetPackageAsync, GrpcClient.GetPackage, effectiveSettings.GetPackageSettings);
            _callListPackages = clientHelper.BuildApiCall<ListPackagesRequest, ListPackagesResponse>(
                GrpcClient.ListPackagesAsync, GrpcClient.ListPackages, effectiveSettings.ListPackagesSettings);
            _callDeletePackage = clientHelper.BuildApiCall<DeletePackageRequest, DeletePackageResponse>(
                GrpcClient.DeletePackageAsync, GrpcClient.DeletePackage, effectiveSettings.DeletePackageSettings);
            _callUpdatePackage = clientHelper.BuildApiCall<UpdatePackageRequest, Package>(
                GrpcClient.UpdatePackageAsync, GrpcClient.UpdatePackage, effectiveSettings.UpdatePackageSettings);
            _callCreateConfig = clientHelper.BuildApiCall<CreateConfigRequest, Config>(
                GrpcClient.CreateConfigAsync, GrpcClient.CreateConfig, effectiveSettings.CreateConfigSettings);
            _callGetConfig = clientHelper.BuildApiCall<GetConfigRequest, Config>(
                GrpcClient.GetConfigAsync, GrpcClient.GetConfig, effectiveSettings.GetConfigSettings);
            _callListConfigs = clientHelper.BuildApiCall<ListConfigsRequest, ListConfigsResponse>(
                GrpcClient.ListConfigsAsync, GrpcClient.ListConfigs, effectiveSettings.ListConfigsSettings);
            _callDeleteConfig = clientHelper.BuildApiCall<DeleteConfigRequest, DeleteConfigResponse>(
                GrpcClient.DeleteConfigAsync, GrpcClient.DeleteConfig, effectiveSettings.DeleteConfigSettings);
            _callUpdateConfig = clientHelper.BuildApiCall<UpdateConfigRequest, Config>(
                GrpcClient.UpdateConfigAsync, GrpcClient.UpdateConfig, effectiveSettings.UpdateConfigSettings);
            _callCreateGroup = clientHelper.BuildApiCall<CreateGroupRequest, Group>(
                GrpcClient.CreateGroupAsync, GrpcClient.CreateGroup, effectiveSettings.CreateGroupSettings);
            _callGetGroup = clientHelper.BuildApiCall<GetGroupRequest, Group>(
                GrpcClient.GetGroupAsync, GrpcClient.GetGroup, effectiveSettings.GetGroupSettings);
            _callListGroups = clientHelper.BuildApiCall<ListGroupsRequest, ListGroupsResponse>(
                GrpcClient.ListGroupsAsync, GrpcClient.ListGroups, effectiveSettings.ListGroupsSettings);
            _callDeleteGroup = clientHelper.BuildApiCall<DeleteGroupRequest, DeleteGroupResponse>(
                GrpcClient.DeleteGroupAsync, GrpcClient.DeleteGroup, effectiveSettings.DeleteGroupSettings);
            _callUpdateGroup = clientHelper.BuildApiCall<UpdateGroupRequest, Group>(
                GrpcClient.UpdateGroupAsync, GrpcClient.UpdateGroup, effectiveSettings.UpdateGroupSettings);
            _callDisableGroups = clientHelper.BuildApiCall<DisableGroupsRequest, DisableGroupsResponse>(
                GrpcClient.DisableGroupsAsync, GrpcClient.DisableGroups, effectiveSettings.DisableGroupsSettings);
            _callEnableGroups = clientHelper.BuildApiCall<EnableGroupsRequest, EnableGroupsResponse>(
                GrpcClient.EnableGroupsAsync, GrpcClient.EnableGroups, effectiveSettings.EnableGroupsSettings);
            _callCreateGroupMember = clientHelper.BuildApiCall<CreateGroupMemberRequest, GroupMember>(
                GrpcClient.CreateGroupMemberAsync, GrpcClient.CreateGroupMember, effectiveSettings.CreateGroupMemberSettings);
            _callCreateGroupMembers = clientHelper.BuildApiCall<CreateGroupMembersRequest, CreateGroupMembersResponse>(
                GrpcClient.CreateGroupMembersAsync, GrpcClient.CreateGroupMembers, effectiveSettings.CreateGroupMembersSettings);
            _callGetGroupMember = clientHelper.BuildApiCall<GetGroupMemberRequest, GroupMember>(
                GrpcClient.GetGroupMemberAsync, GrpcClient.GetGroupMember, effectiveSettings.GetGroupMemberSettings);
            _callListGroupMembers = clientHelper.BuildApiCall<ListGroupMembersRequest, ListGroupMembersResponse>(
                GrpcClient.ListGroupMembersAsync, GrpcClient.ListGroupMembers, effectiveSettings.ListGroupMembersSettings);
            _callDeleteGroupMember = clientHelper.BuildApiCall<DeleteGroupMemberRequest, DeleteGroupMemberResponse>(
                GrpcClient.DeleteGroupMemberAsync, GrpcClient.DeleteGroupMember, effectiveSettings.DeleteGroupMemberSettings);
            _callDeleteGroupMembers = clientHelper.BuildApiCall<DeleteGroupMembersRequest, DeleteGroupMembersResponse>(
                GrpcClient.DeleteGroupMembersAsync, GrpcClient.DeleteGroupMembers, effectiveSettings.DeleteGroupMembersSettings);
            _callGetGroupChart = clientHelper.BuildApiCall<GetGroupChartRequest, Chart>(
                GrpcClient.GetGroupChartAsync, GrpcClient.GetGroupChart, effectiveSettings.GetGroupChartSettings);
            _callListGroupCharts = clientHelper.BuildApiCall<ListGroupChartsRequest, ListGroupChartsResponse>(
                GrpcClient.ListGroupChartsAsync, GrpcClient.ListGroupCharts, effectiveSettings.ListGroupChartsSettings);
            _callListGroupConfigs = clientHelper.BuildApiCall<ListGroupConfigsRequest, ListGroupConfigsResponse>(
                GrpcClient.ListGroupConfigsAsync, GrpcClient.ListGroupConfigs, effectiveSettings.ListGroupConfigsSettings);
            _callUpdateGroupConfigs = clientHelper.BuildApiCall<UpdateGroupConfigsRequest, UpdateGroupConfigsResponse>(
                GrpcClient.UpdateGroupConfigsAsync, GrpcClient.UpdateGroupConfigs, effectiveSettings.UpdateGroupConfigsSettings);
            _callDisableAllEnabledGroupsOfConfig = clientHelper.BuildApiCall<DisableAllEnabledGroupsOfConfigRequest, DisableAllEnabledGroupsOfConfigResponse>(
                GrpcClient.DisableAllEnabledGroupsOfConfigAsync, GrpcClient.DisableAllEnabledGroupsOfConfig, effectiveSettings.DisableAllEnabledGroupsOfConfigSettings);
            _callListConfigPackages = clientHelper.BuildApiCall<ListConfigPackagesRequest, ListConfigPackagesResponse>(
                GrpcClient.ListConfigPackagesAsync, GrpcClient.ListConfigPackages, effectiveSettings.ListConfigPackagesSettings);
            _callUpdateConfigPackages = clientHelper.BuildApiCall<UpdateConfigPackagesRequest, UpdateConfigPackagesResponse>(
                GrpcClient.UpdateConfigPackagesAsync, GrpcClient.UpdateConfigPackages, effectiveSettings.UpdateConfigPackagesSettings);
            _callListConfigsUsingPackage = clientHelper.BuildApiCall<ListConfigsUsingPackageRequest, ListConfigsUsingPackageResponse>(
                GrpcClient.ListConfigsUsingPackageAsync, GrpcClient.ListConfigsUsingPackage, effectiveSettings.ListConfigsUsingPackageSettings);
            OnConstruction(grpcClient, effectiveSettings, clientHelper);
        }

        partial void OnConstruction(OverTheAirService.OverTheAirServiceClient grpcClient, OverTheAirServiceSettings effectiveSettings, ClientHelper clientHelper);

        /// <summary>
        /// The underlying gRPC OverTheAirService client.
        /// </summary>
        public override OverTheAirService.OverTheAirServiceClient GrpcClient { get; }

        // Partial modifier methods contain '_' to ensure no name conflicts with RPC methods.
        partial void Modify_GetDeploymentRequest(ref GetDeploymentRequest request, ref CallSettings settings);
        partial void Modify_ListDeploymentsRequest(ref ListDeploymentsRequest request, ref CallSettings settings);
        partial void Modify_UpdateDeploymentRequest(ref UpdateDeploymentRequest request, ref CallSettings settings);
        partial void Modify_GetPackageRequest(ref GetPackageRequest request, ref CallSettings settings);
        partial void Modify_ListPackagesRequest(ref ListPackagesRequest request, ref CallSettings settings);
        partial void Modify_DeletePackageRequest(ref DeletePackageRequest request, ref CallSettings settings);
        partial void Modify_UpdatePackageRequest(ref UpdatePackageRequest request, ref CallSettings settings);
        partial void Modify_CreateConfigRequest(ref CreateConfigRequest request, ref CallSettings settings);
        partial void Modify_GetConfigRequest(ref GetConfigRequest request, ref CallSettings settings);
        partial void Modify_ListConfigsRequest(ref ListConfigsRequest request, ref CallSettings settings);
        partial void Modify_DeleteConfigRequest(ref DeleteConfigRequest request, ref CallSettings settings);
        partial void Modify_UpdateConfigRequest(ref UpdateConfigRequest request, ref CallSettings settings);
        partial void Modify_CreateGroupRequest(ref CreateGroupRequest request, ref CallSettings settings);
        partial void Modify_GetGroupRequest(ref GetGroupRequest request, ref CallSettings settings);
        partial void Modify_ListGroupsRequest(ref ListGroupsRequest request, ref CallSettings settings);
        partial void Modify_DeleteGroupRequest(ref DeleteGroupRequest request, ref CallSettings settings);
        partial void Modify_UpdateGroupRequest(ref UpdateGroupRequest request, ref CallSettings settings);
        partial void Modify_DisableGroupsRequest(ref DisableGroupsRequest request, ref CallSettings settings);
        partial void Modify_EnableGroupsRequest(ref EnableGroupsRequest request, ref CallSettings settings);
        partial void Modify_CreateGroupMemberRequest(ref CreateGroupMemberRequest request, ref CallSettings settings);
        partial void Modify_CreateGroupMembersRequest(ref CreateGroupMembersRequest request, ref CallSettings settings);
        partial void Modify_GetGroupMemberRequest(ref GetGroupMemberRequest request, ref CallSettings settings);
        partial void Modify_ListGroupMembersRequest(ref ListGroupMembersRequest request, ref CallSettings settings);
        partial void Modify_DeleteGroupMemberRequest(ref DeleteGroupMemberRequest request, ref CallSettings settings);
        partial void Modify_DeleteGroupMembersRequest(ref DeleteGroupMembersRequest request, ref CallSettings settings);
        partial void Modify_GetGroupChartRequest(ref GetGroupChartRequest request, ref CallSettings settings);
        partial void Modify_ListGroupChartsRequest(ref ListGroupChartsRequest request, ref CallSettings settings);
        partial void Modify_ListGroupConfigsRequest(ref ListGroupConfigsRequest request, ref CallSettings settings);
        partial void Modify_UpdateGroupConfigsRequest(ref UpdateGroupConfigsRequest request, ref CallSettings settings);
        partial void Modify_DisableAllEnabledGroupsOfConfigRequest(ref DisableAllEnabledGroupsOfConfigRequest request, ref CallSettings settings);
        partial void Modify_ListConfigPackagesRequest(ref ListConfigPackagesRequest request, ref CallSettings settings);
        partial void Modify_UpdateConfigPackagesRequest(ref UpdateConfigPackagesRequest request, ref CallSettings settings);
        partial void Modify_ListConfigsUsingPackageRequest(ref ListConfigsUsingPackageRequest request, ref CallSettings settings);

        /// <summary>
        /// Gets a [Deployment][google.android.overtheair.v1.Deployment].
        /// Returns `NOT_FOUND` if the deployment does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<Deployment> GetDeploymentAsync(
            GetDeploymentRequest request,
            CallSettings callSettings = null)
        {
            Modify_GetDeploymentRequest(ref request, ref callSettings);
            return _callGetDeployment.Async(request, callSettings);
        }

        /// <summary>
        /// Gets a [Deployment][google.android.overtheair.v1.Deployment].
        /// Returns `NOT_FOUND` if the deployment does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override Deployment GetDeployment(
            GetDeploymentRequest request,
            CallSettings callSettings = null)
        {
            Modify_GetDeploymentRequest(ref request, ref callSettings);
            return _callGetDeployment.Sync(request, callSettings);
        }

        /// <summary>
        /// Lists [deployments][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<ListDeploymentsResponse> ListDeploymentsAsync(
            ListDeploymentsRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListDeploymentsRequest(ref request, ref callSettings);
            return _callListDeployments.Async(request, callSettings);
        }

        /// <summary>
        /// Lists [deployments][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override ListDeploymentsResponse ListDeployments(
            ListDeploymentsRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListDeploymentsRequest(ref request, ref callSettings);
            return _callListDeployments.Sync(request, callSettings);
        }

        /// <summary>
        /// Updates a [deployment][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<Deployment> UpdateDeploymentAsync(
            UpdateDeploymentRequest request,
            CallSettings callSettings = null)
        {
            Modify_UpdateDeploymentRequest(ref request, ref callSettings);
            return _callUpdateDeployment.Async(request, callSettings);
        }

        /// <summary>
        /// Updates a [deployment][google.android.overtheair.v1.Deployment].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override Deployment UpdateDeployment(
            UpdateDeploymentRequest request,
            CallSettings callSettings = null)
        {
            Modify_UpdateDeploymentRequest(ref request, ref callSettings);
            return _callUpdateDeployment.Sync(request, callSettings);
        }

        /// <summary>
        /// Gets a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<Package> GetPackageAsync(
            GetPackageRequest request,
            CallSettings callSettings = null)
        {
            Modify_GetPackageRequest(ref request, ref callSettings);
            return _callGetPackage.Async(request, callSettings);
        }

        /// <summary>
        /// Gets a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override Package GetPackage(
            GetPackageRequest request,
            CallSettings callSettings = null)
        {
            Modify_GetPackageRequest(ref request, ref callSettings);
            return _callGetPackage.Sync(request, callSettings);
        }

        /// <summary>
        /// Lists [packages][google.android.overtheair.v1.Package].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<ListPackagesResponse> ListPackagesAsync(
            ListPackagesRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListPackagesRequest(ref request, ref callSettings);
            return _callListPackages.Async(request, callSettings);
        }

        /// <summary>
        /// Lists [packages][google.android.overtheair.v1.Package].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override ListPackagesResponse ListPackages(
            ListPackagesRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListPackagesRequest(ref request, ref callSettings);
            return _callListPackages.Sync(request, callSettings);
        }

        /// <summary>
        /// Deletes a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<DeletePackageResponse> DeletePackageAsync(
            DeletePackageRequest request,
            CallSettings callSettings = null)
        {
            Modify_DeletePackageRequest(ref request, ref callSettings);
            return _callDeletePackage.Async(request, callSettings);
        }

        /// <summary>
        /// Deletes a [package][google.android.overtheair.v1.Package].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override DeletePackageResponse DeletePackage(
            DeletePackageRequest request,
            CallSettings callSettings = null)
        {
            Modify_DeletePackageRequest(ref request, ref callSettings);
            return _callDeletePackage.Sync(request, callSettings);
        }

        /// <summary>
        /// Updates a [package][google.android.overtheair.v1.Package].
        /// Returns `INVALID_ARGUMENT` if any field other than title is modified.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<Package> UpdatePackageAsync(
            UpdatePackageRequest request,
            CallSettings callSettings = null)
        {
            Modify_UpdatePackageRequest(ref request, ref callSettings);
            return _callUpdatePackage.Async(request, callSettings);
        }

        /// <summary>
        /// Updates a [package][google.android.overtheair.v1.Package].
        /// Returns `INVALID_ARGUMENT` if any field other than title is modified.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override Package UpdatePackage(
            UpdatePackageRequest request,
            CallSettings callSettings = null)
        {
            Modify_UpdatePackageRequest(ref request, ref callSettings);
            return _callUpdatePackage.Sync(request, callSettings);
        }

        /// <summary>
        /// Creates a config, and returns the new
        /// [Config][google.android.overtheair.v1.Config].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<Config> CreateConfigAsync(
            CreateConfigRequest request,
            CallSettings callSettings = null)
        {
            Modify_CreateConfigRequest(ref request, ref callSettings);
            return _callCreateConfig.Async(request, callSettings);
        }

        /// <summary>
        /// Creates a config, and returns the new
        /// [Config][google.android.overtheair.v1.Config].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override Config CreateConfig(
            CreateConfigRequest request,
            CallSettings callSettings = null)
        {
            Modify_CreateConfigRequest(ref request, ref callSettings);
            return _callCreateConfig.Sync(request, callSettings);
        }

        /// <summary>
        /// Gets a [config][google.android.overtheair.v1.Config] view.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<Config> GetConfigAsync(
            GetConfigRequest request,
            CallSettings callSettings = null)
        {
            Modify_GetConfigRequest(ref request, ref callSettings);
            return _callGetConfig.Async(request, callSettings);
        }

        /// <summary>
        /// Gets a [config][google.android.overtheair.v1.Config] view.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override Config GetConfig(
            GetConfigRequest request,
            CallSettings callSettings = null)
        {
            Modify_GetConfigRequest(ref request, ref callSettings);
            return _callGetConfig.Sync(request, callSettings);
        }

        /// <summary>
        /// Lists [configs][google.android.overtheair.v1.Config] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<ListConfigsResponse> ListConfigsAsync(
            ListConfigsRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListConfigsRequest(ref request, ref callSettings);
            return _callListConfigs.Async(request, callSettings);
        }

        /// <summary>
        /// Lists [configs][google.android.overtheair.v1.Config] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override ListConfigsResponse ListConfigs(
            ListConfigsRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListConfigsRequest(ref request, ref callSettings);
            return _callListConfigs.Sync(request, callSettings);
        }

        /// <summary>
        /// Deletes a [config][google.android.overtheair.v1.Config].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<DeleteConfigResponse> DeleteConfigAsync(
            DeleteConfigRequest request,
            CallSettings callSettings = null)
        {
            Modify_DeleteConfigRequest(ref request, ref callSettings);
            return _callDeleteConfig.Async(request, callSettings);
        }

        /// <summary>
        /// Deletes a [config][google.android.overtheair.v1.Config].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override DeleteConfigResponse DeleteConfig(
            DeleteConfigRequest request,
            CallSettings callSettings = null)
        {
            Modify_DeleteConfigRequest(ref request, ref callSettings);
            return _callDeleteConfig.Sync(request, callSettings);
        }

        /// <summary>
        /// Updates a [config][google.android.overtheair.v1.Config].
        /// Returns `INVALID_ARGUMENT` if the name of the config is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<Config> UpdateConfigAsync(
            UpdateConfigRequest request,
            CallSettings callSettings = null)
        {
            Modify_UpdateConfigRequest(ref request, ref callSettings);
            return _callUpdateConfig.Async(request, callSettings);
        }

        /// <summary>
        /// Updates a [config][google.android.overtheair.v1.Config].
        /// Returns `INVALID_ARGUMENT` if the name of the config is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override Config UpdateConfig(
            UpdateConfigRequest request,
            CallSettings callSettings = null)
        {
            Modify_UpdateConfigRequest(ref request, ref callSettings);
            return _callUpdateConfig.Sync(request, callSettings);
        }

        /// <summary>
        /// Creates a group, and returns the new
        /// [Group][google.android.overtheair.v1.Group].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<Group> CreateGroupAsync(
            CreateGroupRequest request,
            CallSettings callSettings = null)
        {
            Modify_CreateGroupRequest(ref request, ref callSettings);
            return _callCreateGroup.Async(request, callSettings);
        }

        /// <summary>
        /// Creates a group, and returns the new
        /// [Group][google.android.overtheair.v1.Group].
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override Group CreateGroup(
            CreateGroupRequest request,
            CallSettings callSettings = null)
        {
            Modify_CreateGroupRequest(ref request, ref callSettings);
            return _callCreateGroup.Sync(request, callSettings);
        }

        /// <summary>
        /// Gets a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<Group> GetGroupAsync(
            GetGroupRequest request,
            CallSettings callSettings = null)
        {
            Modify_GetGroupRequest(ref request, ref callSettings);
            return _callGetGroup.Async(request, callSettings);
        }

        /// <summary>
        /// Gets a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override Group GetGroup(
            GetGroupRequest request,
            CallSettings callSettings = null)
        {
            Modify_GetGroupRequest(ref request, ref callSettings);
            return _callGetGroup.Sync(request, callSettings);
        }

        /// <summary>
        /// Lists [groups][google.android.overtheair.v1.Group] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<ListGroupsResponse> ListGroupsAsync(
            ListGroupsRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListGroupsRequest(ref request, ref callSettings);
            return _callListGroups.Async(request, callSettings);
        }

        /// <summary>
        /// Lists [groups][google.android.overtheair.v1.Group] of a deployment.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override ListGroupsResponse ListGroups(
            ListGroupsRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListGroupsRequest(ref request, ref callSettings);
            return _callListGroups.Sync(request, callSettings);
        }

        /// <summary>
        /// Deletes a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<DeleteGroupResponse> DeleteGroupAsync(
            DeleteGroupRequest request,
            CallSettings callSettings = null)
        {
            Modify_DeleteGroupRequest(ref request, ref callSettings);
            return _callDeleteGroup.Async(request, callSettings);
        }

        /// <summary>
        /// Deletes a [group][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the group does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override DeleteGroupResponse DeleteGroup(
            DeleteGroupRequest request,
            CallSettings callSettings = null)
        {
            Modify_DeleteGroupRequest(ref request, ref callSettings);
            return _callDeleteGroup.Sync(request, callSettings);
        }

        /// <summary>
        /// Updates a [group][google.android.overtheair.v1.Group].
        /// Returns INVALID_ARGUMENT if the name of the group is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<Group> UpdateGroupAsync(
            UpdateGroupRequest request,
            CallSettings callSettings = null)
        {
            Modify_UpdateGroupRequest(ref request, ref callSettings);
            return _callUpdateGroup.Async(request, callSettings);
        }

        /// <summary>
        /// Updates a [group][google.android.overtheair.v1.Group].
        /// Returns INVALID_ARGUMENT if the name of the group is non-empty and does
        /// not equal the existing name.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override Group UpdateGroup(
            UpdateGroupRequest request,
            CallSettings callSettings = null)
        {
            Modify_UpdateGroupRequest(ref request, ref callSettings);
            return _callUpdateGroup.Sync(request, callSettings);
        }

        /// <summary>
        /// Disables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<DisableGroupsResponse> DisableGroupsAsync(
            DisableGroupsRequest request,
            CallSettings callSettings = null)
        {
            Modify_DisableGroupsRequest(ref request, ref callSettings);
            return _callDisableGroups.Async(request, callSettings);
        }

        /// <summary>
        /// Disables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override DisableGroupsResponse DisableGroups(
            DisableGroupsRequest request,
            CallSettings callSettings = null)
        {
            Modify_DisableGroupsRequest(ref request, ref callSettings);
            return _callDisableGroups.Sync(request, callSettings);
        }

        /// <summary>
        /// Enables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<EnableGroupsResponse> EnableGroupsAsync(
            EnableGroupsRequest request,
            CallSettings callSettings = null)
        {
            Modify_EnableGroupsRequest(ref request, ref callSettings);
            return _callEnableGroups.Async(request, callSettings);
        }

        /// <summary>
        /// Enables the defined [groups][google.android.overtheair.v1.Group].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override EnableGroupsResponse EnableGroups(
            EnableGroupsRequest request,
            CallSettings callSettings = null)
        {
            Modify_EnableGroupsRequest(ref request, ref callSettings);
            return _callEnableGroups.Sync(request, callSettings);
        }

        /// <summary>
        /// Creates a group member and returns the new
        /// [GroupMember][google.android.overtheair.v1.GroupMember]. If the device is
        /// already under other groups, it will be removed from those groups and added
        /// to the group that's specified in the request.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<GroupMember> CreateGroupMemberAsync(
            CreateGroupMemberRequest request,
            CallSettings callSettings = null)
        {
            Modify_CreateGroupMemberRequest(ref request, ref callSettings);
            return _callCreateGroupMember.Async(request, callSettings);
        }

        /// <summary>
        /// Creates a group member and returns the new
        /// [GroupMember][google.android.overtheair.v1.GroupMember]. If the device is
        /// already under other groups, it will be removed from those groups and added
        /// to the group that's specified in the request.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override GroupMember CreateGroupMember(
            CreateGroupMemberRequest request,
            CallSettings callSettings = null)
        {
            Modify_CreateGroupMemberRequest(ref request, ref callSettings);
            return _callCreateGroupMember.Sync(request, callSettings);
        }

        /// <summary>
        /// Creates group members in a specific group.  If any device is in other
        /// groups, it will be removed from those groups and added to the group that's
        /// specified in the request.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<CreateGroupMembersResponse> CreateGroupMembersAsync(
            CreateGroupMembersRequest request,
            CallSettings callSettings = null)
        {
            Modify_CreateGroupMembersRequest(ref request, ref callSettings);
            return _callCreateGroupMembers.Async(request, callSettings);
        }

        /// <summary>
        /// Creates group members in a specific group.  If any device is in other
        /// groups, it will be removed from those groups and added to the group that's
        /// specified in the request.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override CreateGroupMembersResponse CreateGroupMembers(
            CreateGroupMembersRequest request,
            CallSettings callSettings = null)
        {
            Modify_CreateGroupMembersRequest(ref request, ref callSettings);
            return _callCreateGroupMembers.Sync(request, callSettings);
        }

        /// <summary>
        /// Gets a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<GroupMember> GetGroupMemberAsync(
            GetGroupMemberRequest request,
            CallSettings callSettings = null)
        {
            Modify_GetGroupMemberRequest(ref request, ref callSettings);
            return _callGetGroupMember.Async(request, callSettings);
        }

        /// <summary>
        /// Gets a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override GroupMember GetGroupMember(
            GetGroupMemberRequest request,
            CallSettings callSettings = null)
        {
            Modify_GetGroupMemberRequest(ref request, ref callSettings);
            return _callGetGroupMember.Sync(request, callSettings);
        }

        /// <summary>
        /// Lists [group members][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<ListGroupMembersResponse> ListGroupMembersAsync(
            ListGroupMembersRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListGroupMembersRequest(ref request, ref callSettings);
            return _callListGroupMembers.Async(request, callSettings);
        }

        /// <summary>
        /// Lists [group members][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override ListGroupMembersResponse ListGroupMembers(
            ListGroupMembersRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListGroupMembersRequest(ref request, ref callSettings);
            return _callListGroupMembers.Sync(request, callSettings);
        }

        /// <summary>
        /// Deletes a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<DeleteGroupMemberResponse> DeleteGroupMemberAsync(
            DeleteGroupMemberRequest request,
            CallSettings callSettings = null)
        {
            Modify_DeleteGroupMemberRequest(ref request, ref callSettings);
            return _callDeleteGroupMember.Async(request, callSettings);
        }

        /// <summary>
        /// Deletes a [group member][google.android.overtheair.v1.GroupMember].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override DeleteGroupMemberResponse DeleteGroupMember(
            DeleteGroupMemberRequest request,
            CallSettings callSettings = null)
        {
            Modify_DeleteGroupMemberRequest(ref request, ref callSettings);
            return _callDeleteGroupMember.Sync(request, callSettings);
        }

        /// <summary>
        /// Deletes group members in a group.  If any member does not it exist, it
        /// will be ignored.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<DeleteGroupMembersResponse> DeleteGroupMembersAsync(
            DeleteGroupMembersRequest request,
            CallSettings callSettings = null)
        {
            Modify_DeleteGroupMembersRequest(ref request, ref callSettings);
            return _callDeleteGroupMembers.Async(request, callSettings);
        }

        /// <summary>
        /// Deletes group members in a group.  If any member does not it exist, it
        /// will be ignored.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override DeleteGroupMembersResponse DeleteGroupMembers(
            DeleteGroupMembersRequest request,
            CallSettings callSettings = null)
        {
            Modify_DeleteGroupMembersRequest(ref request, ref callSettings);
            return _callDeleteGroupMembers.Sync(request, callSettings);
        }

        /// <summary>
        /// Gets a [group chart][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<Chart> GetGroupChartAsync(
            GetGroupChartRequest request,
            CallSettings callSettings = null)
        {
            Modify_GetGroupChartRequest(ref request, ref callSettings);
            return _callGetGroupChart.Async(request, callSettings);
        }

        /// <summary>
        /// Gets a [group chart][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override Chart GetGroupChart(
            GetGroupChartRequest request,
            CallSettings callSettings = null)
        {
            Modify_GetGroupChartRequest(ref request, ref callSettings);
            return _callGetGroupChart.Sync(request, callSettings);
        }

        /// <summary>
        /// Lists [group charts][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<ListGroupChartsResponse> ListGroupChartsAsync(
            ListGroupChartsRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListGroupChartsRequest(ref request, ref callSettings);
            return _callListGroupCharts.Async(request, callSettings);
        }

        /// <summary>
        /// Lists [group charts][google.android.overtheair.v1.Chart].
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override ListGroupChartsResponse ListGroupCharts(
            ListGroupChartsRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListGroupChartsRequest(ref request, ref callSettings);
            return _callListGroupCharts.Sync(request, callSettings);
        }

        /// <summary>
        /// Lists configs of the group. Returns `NOT_FOUND` if the matching path
        /// does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<ListGroupConfigsResponse> ListGroupConfigsAsync(
            ListGroupConfigsRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListGroupConfigsRequest(ref request, ref callSettings);
            return _callListGroupConfigs.Async(request, callSettings);
        }

        /// <summary>
        /// Lists configs of the group. Returns `NOT_FOUND` if the matching path
        /// does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override ListGroupConfigsResponse ListGroupConfigs(
            ListGroupConfigsRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListGroupConfigsRequest(ref request, ref callSettings);
            return _callListGroupConfigs.Sync(request, callSettings);
        }

        /// <summary>
        /// Update the configs under a group. Returns `NOT_FOUND` if the matching group
        /// or config does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<UpdateGroupConfigsResponse> UpdateGroupConfigsAsync(
            UpdateGroupConfigsRequest request,
            CallSettings callSettings = null)
        {
            Modify_UpdateGroupConfigsRequest(ref request, ref callSettings);
            return _callUpdateGroupConfigs.Async(request, callSettings);
        }

        /// <summary>
        /// Update the configs under a group. Returns `NOT_FOUND` if the matching group
        /// or config does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override UpdateGroupConfigsResponse UpdateGroupConfigs(
            UpdateGroupConfigsRequest request,
            CallSettings callSettings = null)
        {
            Modify_UpdateGroupConfigsRequest(ref request, ref callSettings);
            return _callUpdateGroupConfigs.Sync(request, callSettings);
        }

        /// <summary>
        /// Disables all enabled groups that have the specified config.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<DisableAllEnabledGroupsOfConfigResponse> DisableAllEnabledGroupsOfConfigAsync(
            DisableAllEnabledGroupsOfConfigRequest request,
            CallSettings callSettings = null)
        {
            Modify_DisableAllEnabledGroupsOfConfigRequest(ref request, ref callSettings);
            return _callDisableAllEnabledGroupsOfConfig.Async(request, callSettings);
        }

        /// <summary>
        /// Disables all enabled groups that have the specified config.
        /// Returns `NOT_FOUND` if the matching path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override DisableAllEnabledGroupsOfConfigResponse DisableAllEnabledGroupsOfConfig(
            DisableAllEnabledGroupsOfConfigRequest request,
            CallSettings callSettings = null)
        {
            Modify_DisableAllEnabledGroupsOfConfigRequest(ref request, ref callSettings);
            return _callDisableAllEnabledGroupsOfConfig.Sync(request, callSettings);
        }

        /// <summary>
        /// Lists packages of the config. Returns `NOT_FOUND` if the matching path does
        /// not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<ListConfigPackagesResponse> ListConfigPackagesAsync(
            ListConfigPackagesRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListConfigPackagesRequest(ref request, ref callSettings);
            return _callListConfigPackages.Async(request, callSettings);
        }

        /// <summary>
        /// Lists packages of the config. Returns `NOT_FOUND` if the matching path does
        /// not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override ListConfigPackagesResponse ListConfigPackages(
            ListConfigPackagesRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListConfigPackagesRequest(ref request, ref callSettings);
            return _callListConfigPackages.Sync(request, callSettings);
        }

        /// <summary>
        /// Update the packages under the config. Returns `NOT_FOUND` if the matching
        /// path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<UpdateConfigPackagesResponse> UpdateConfigPackagesAsync(
            UpdateConfigPackagesRequest request,
            CallSettings callSettings = null)
        {
            Modify_UpdateConfigPackagesRequest(ref request, ref callSettings);
            return _callUpdateConfigPackages.Async(request, callSettings);
        }

        /// <summary>
        /// Update the packages under the config. Returns `NOT_FOUND` if the matching
        /// path does not exist.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override UpdateConfigPackagesResponse UpdateConfigPackages(
            UpdateConfigPackagesRequest request,
            CallSettings callSettings = null)
        {
            Modify_UpdateConfigPackagesRequest(ref request, ref callSettings);
            return _callUpdateConfigPackages.Sync(request, callSettings);
        }

        /// <summary>
        /// Lists all the configs that use the specified package.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// A Task containing the RPC response.
        /// </returns>
        public override Task<ListConfigsUsingPackageResponse> ListConfigsUsingPackageAsync(
            ListConfigsUsingPackageRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListConfigsUsingPackageRequest(ref request, ref callSettings);
            return _callListConfigsUsingPackage.Async(request, callSettings);
        }

        /// <summary>
        /// Lists all the configs that use the specified package.
        /// </summary>
        /// <param name="request">
        /// The request object containing all of the parameters for the API call.
        /// </param>
        /// <param name="callSettings">
        /// If not null, applies overrides to this RPC call.
        /// </param>
        /// <returns>
        /// The RPC response.
        /// </returns>
        public override ListConfigsUsingPackageResponse ListConfigsUsingPackage(
            ListConfigsUsingPackageRequest request,
            CallSettings callSettings = null)
        {
            Modify_ListConfigsUsingPackageRequest(ref request, ref callSettings);
            return _callListConfigsUsingPackage.Sync(request, callSettings);
        }

    }

    // Partial classes to enable page-streaming


}
